import { ChangeDetectorRef, ElementRef, EventEmitter, NgZone } from '@angular/core';
import { Components } from '@dytesdk/ui-kit';
import type { States as IDyteAiStates } from '@dytesdk/ui-kit';
import type { States as IDyteAiToggleStates } from '@dytesdk/ui-kit';
import type { PartialStateEvent as IDyteBreakoutRoomsManagerPartialStateEvent } from '@dytesdk/ui-kit';
import type { PartialStateEvent as IDyteBreakoutRoomsTogglePartialStateEvent } from '@dytesdk/ui-kit';
import type { States as IDyteBroadcastMessageModalStates } from '@dytesdk/ui-kit';
import type { States as IDyteCameraToggleStates } from '@dytesdk/ui-kit';
import type { States as IDyteCaptionToggleStates } from '@dytesdk/ui-kit';
import type { States as IDyteChannelCreatorStates } from '@dytesdk/ui-kit';
import type { IconPack as IDyteChannelSelectorViewIconPack } from '@dytesdk/ui-kit';
import type { States as IDyteChatStates } from '@dytesdk/ui-kit';
import type { DyteNewMessageEvent as IDyteChatComposerUiDyteNewMessageEvent } from '@dytesdk/ui-kit';
import type { NewMessageEvent as IDyteChatComposerViewNewMessageEvent } from '@dytesdk/ui-kit';
import type { Message as IDyteChatMessageMessage } from '@dytesdk/ui-kit';
import type { Message as IDyteChatMessagesUiMessage } from '@dytesdk/ui-kit';
import type { States as IDyteChatMessagesUiStates } from '@dytesdk/ui-kit';
import type { TextMessage as IDyteChatMessagesUiPaginatedTextMessage } from '@dytesdk/ui-kit';
import type { Message as IDyteChatMessagesUiPaginatedMessage } from '@dytesdk/ui-kit';
import type { States as IDyteChatMessagesUiPaginatedStates } from '@dytesdk/ui-kit';
import type { ChatGroupChangedType as IDyteChatSelectorUiChatGroupChangedType } from '@dytesdk/ui-kit';
import type { States as IDyteChatToggleStates } from '@dytesdk/ui-kit';
import type { States as IDyteConfirmationModalStates } from '@dytesdk/ui-kit';
import type { States as IDyteDebuggerStates } from '@dytesdk/ui-kit';
import type { States as IDyteDebuggerToggleStates } from '@dytesdk/ui-kit';
import type { States as IDyteDialogManagerStates } from '@dytesdk/ui-kit';
import type { States as IDyteFullscreenToggleStates } from '@dytesdk/ui-kit';
import type { States as IDyteGridStates } from '@dytesdk/ui-kit';
import type { States as IDyteImageMessageStates } from '@dytesdk/ui-kit';
import type { States as IDyteJoinStageStates } from '@dytesdk/ui-kit';
import type { States as IDyteLeaveButtonStates } from '@dytesdk/ui-kit';
import type { States as IDyteLeaveMeetingStates } from '@dytesdk/ui-kit';
import type { States as IDyteLivestreamToggleStates } from '@dytesdk/ui-kit';
import type { States as IDyteMeetingStates } from '@dytesdk/ui-kit';
import type { States as IDyteMicToggleStates } from '@dytesdk/ui-kit';
import type { States as IDyteMoreToggleStates } from '@dytesdk/ui-kit';
import type { States as IDyteMuteAllButtonStates } from '@dytesdk/ui-kit';
import type { States as IDyteMuteAllConfirmationStates } from '@dytesdk/ui-kit';
import type { States as IDyteOverlayModalStates } from '@dytesdk/ui-kit';
import type { Peer as IDyteParticipantTilePeer } from '@dytesdk/ui-kit';
import type { States as IDyteParticipantsStates } from '@dytesdk/ui-kit';
import type { States as IDyteParticipantsToggleStates } from '@dytesdk/ui-kit';
import type { States as IDytePermissionsMessageStates } from '@dytesdk/ui-kit';
import type { States as IDytePipToggleStates } from '@dytesdk/ui-kit';
import type { States as IDytePluginsStates } from '@dytesdk/ui-kit';
import type { States as IDytePluginsToggleStates } from '@dytesdk/ui-kit';
import type { PollObject as IDytePollFormPollObject } from '@dytesdk/ui-kit';
import type { States as IDytePollsToggleStates } from '@dytesdk/ui-kit';
import type { States as IDyteScreenShareToggleStates } from '@dytesdk/ui-kit';
import type { States as IDyteScreenshareViewStates } from '@dytesdk/ui-kit';
import type { Peer as IDyteScreenshareViewPeer } from '@dytesdk/ui-kit';
import type { States as IDyteSettingsStates } from '@dytesdk/ui-kit';
import type { States as IDyteSettingsAudioStates } from '@dytesdk/ui-kit';
import type { States as IDyteSettingsToggleStates } from '@dytesdk/ui-kit';
import type { States as IDyteSettingsVideoStates } from '@dytesdk/ui-kit';
import type { States as IDyteSetupScreenStates } from '@dytesdk/ui-kit';
import type { States as IDyteSidebarStates } from '@dytesdk/ui-kit';
import type { States as IDyteStageStates } from '@dytesdk/ui-kit';
import type { States as IDyteStageToggleStates } from '@dytesdk/ui-kit';
import type { Tab as IDyteTabBarTab } from '@dytesdk/ui-kit';
import type { States as IDyteUiProviderStates } from '@dytesdk/ui-kit';
import * as i0 from "@angular/core";
export declare class DyteAi {
    protected z: NgZone;
    protected el: HTMLDyteAiElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteAi, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteAi, "dyte-ai", never, { "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "view": { "alias": "view"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteAi extends Components.DyteAi {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteAiStates>>;
}
export declare class DyteAiToggle {
    protected z: NgZone;
    protected el: HTMLDyteAiToggleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteAiToggle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteAiToggle, "dyte-ai-toggle", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteAiToggle extends Components.DyteAiToggle {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteAiToggleStates>>;
}
export declare class DyteAiTranscriptions {
    protected z: NgZone;
    protected el: HTMLDyteAiTranscriptionsElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteAiTranscriptions, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteAiTranscriptions, "dyte-ai-transcriptions", never, { "initialTranscriptions": { "alias": "initialTranscriptions"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteAiTranscriptions extends Components.DyteAiTranscriptions {
}
export declare class DyteAudioGrid {
    protected z: NgZone;
    protected el: HTMLDyteAudioGridElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteAudioGrid, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteAudioGrid, "dyte-audio-grid", never, { "config": { "alias": "config"; "required": false; }; "hideSelf": { "alias": "hideSelf"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteAudioGrid extends Components.DyteAudioGrid {
}
export declare class DyteAudioTile {
    protected z: NgZone;
    protected el: HTMLDyteAudioTileElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteAudioTile, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteAudioTile, "dyte-audio-tile", never, { "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "participant": { "alias": "participant"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteAudioTile extends Components.DyteAudioTile {
}
export declare class DyteAudioVisualizer {
    protected z: NgZone;
    protected el: HTMLDyteAudioVisualizerElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteAudioVisualizer, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteAudioVisualizer, "dyte-audio-visualizer", never, { "hideMuted": { "alias": "hideMuted"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "isScreenShare": { "alias": "isScreenShare"; "required": false; }; "participant": { "alias": "participant"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteAudioVisualizer extends Components.DyteAudioVisualizer {
}
export declare class DyteAvatar {
    protected z: NgZone;
    protected el: HTMLDyteAvatarElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteAvatar, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteAvatar, "dyte-avatar", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "participant": { "alias": "participant"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteAvatar extends Components.DyteAvatar {
}
export declare class DyteBreakoutRoomManager {
    protected z: NgZone;
    protected el: HTMLDyteBreakoutRoomManagerElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteBreakoutRoomManager, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteBreakoutRoomManager, "dyte-breakout-room-manager", never, { "allowDelete": { "alias": "allowDelete"; "required": false; }; "assigningParticipants": { "alias": "assigningParticipants"; "required": false; }; "defaultExpanded": { "alias": "defaultExpanded"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "isDragMode": { "alias": "isDragMode"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "room": { "alias": "room"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteBreakoutRoomManager extends Components.DyteBreakoutRoomManager {
    /**
     * Event for adding a participant
     */
    participantsAdd: EventEmitter<CustomEvent<null>>;
    /**
     * On Delete event emitter
     */
    participantDelete: EventEmitter<CustomEvent<{
        customParticipantId: string;
    }>>;
    /**
     * Event for joining a room
     */
    roomJoin: EventEmitter<CustomEvent<null>>;
    /**
     * Event for deleting room
     */
    delete: EventEmitter<CustomEvent<string>>;
    /**
     * Event for updating room details
     */
    update: EventEmitter<CustomEvent<{
        title: string | undefined;
        id: string;
    }>>;
}
export declare class DyteBreakoutRoomParticipants {
    protected z: NgZone;
    protected el: HTMLDyteBreakoutRoomParticipantsElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteBreakoutRoomParticipants, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteBreakoutRoomParticipants, "dyte-breakout-room-participants", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "participantIds": { "alias": "participantIds"; "required": false; }; "selectedParticipantIds": { "alias": "selectedParticipantIds"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteBreakoutRoomParticipants extends Components.DyteBreakoutRoomParticipants {
    /**
     * Emits an event when selected participants are updated
     */
    selectedParticipantsUpdate: EventEmitter<CustomEvent<string[]>>;
    /**
     * Emits an event when all participants are selected or deselected
     */
    allParticipantsToggleUpdate: EventEmitter<CustomEvent<string[]>>;
    /**
     * Emits an event when participants are dragged
     */
    participantsDragging: EventEmitter<CustomEvent<boolean>>;
}
export declare class DyteBreakoutRoomsManager {
    protected z: NgZone;
    protected el: HTMLDyteBreakoutRoomsManagerElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteBreakoutRoomsManager, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteBreakoutRoomsManager, "dyte-breakout-rooms-manager", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteBreakoutRoomsManager extends Components.DyteBreakoutRoomsManager {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteBreakoutRoomsManagerPartialStateEvent>>;
}
export declare class DyteBreakoutRoomsToggle {
    protected z: NgZone;
    protected el: HTMLDyteBreakoutRoomsToggleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteBreakoutRoomsToggle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteBreakoutRoomsToggle, "dyte-breakout-rooms-toggle", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteBreakoutRoomsToggle extends Components.DyteBreakoutRoomsToggle {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteBreakoutRoomsTogglePartialStateEvent>>;
}
export declare class DyteBroadcastMessageModal {
    protected z: NgZone;
    protected el: HTMLDyteBroadcastMessageModalElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteBroadcastMessageModal, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteBroadcastMessageModal, "dyte-broadcast-message-modal", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteBroadcastMessageModal extends Components.DyteBroadcastMessageModal {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteBroadcastMessageModalStates>>;
}
export declare class DyteButton {
    protected z: NgZone;
    protected el: HTMLDyteButtonElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteButton, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteButton, "dyte-button", never, { "disabled": { "alias": "disabled"; "required": false; }; "kind": { "alias": "kind"; "required": false; }; "reverse": { "alias": "reverse"; "required": false; }; "size": { "alias": "size"; "required": false; }; "type": { "alias": "type"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteButton extends Components.DyteButton {
}
export declare class DyteCameraSelector {
    protected z: NgZone;
    protected el: HTMLDyteCameraSelectorElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteCameraSelector, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteCameraSelector, "dyte-camera-selector", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteCameraSelector extends Components.DyteCameraSelector {
}
export declare class DyteCameraToggle {
    protected z: NgZone;
    protected el: HTMLDyteCameraToggleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteCameraToggle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteCameraToggle, "dyte-camera-toggle", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteCameraToggle extends Components.DyteCameraToggle {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteCameraToggleStates>>;
}
export declare class DyteCaptionToggle {
    protected z: NgZone;
    protected el: HTMLDyteCaptionToggleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteCaptionToggle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteCaptionToggle, "dyte-caption-toggle", never, { "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteCaptionToggle extends Components.DyteCaptionToggle {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteCaptionToggleStates>>;
}
export declare class DyteChannelCreator {
    protected z: NgZone;
    protected el: HTMLDyteChannelCreatorElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteChannelCreator, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteChannelCreator, "dyte-channel-creator", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteChannelCreator extends Components.DyteChannelCreator {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteChannelCreatorStates>>;
    /**
     * Emits event to switch channel
     */
    switchChannel: EventEmitter<CustomEvent<string>>;
}
export declare class DyteChannelDetails {
    protected z: NgZone;
    protected el: HTMLDyteChannelDetailsElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteChannelDetails, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteChannelDetails, "dyte-channel-details", never, { "channel": { "alias": "channel"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "members": { "alias": "members"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteChannelDetails extends Components.DyteChannelDetails {
}
export declare class DyteChannelHeader {
    protected z: NgZone;
    protected el: HTMLDyteChannelHeaderElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteChannelHeader, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteChannelHeader, "dyte-channel-header", never, { "channel": { "alias": "channel"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "showBackButton": { "alias": "showBackButton"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteChannelHeader extends Components.DyteChannelHeader {
    /**
     * event triggered for search
     */
    search: EventEmitter<CustomEvent<string>>;
    /**
     * event triggered for search
     */
    searchDismissed: EventEmitter<CustomEvent<any>>;
    /**
     * Event emitted when back button is clicked
     */
    back: EventEmitter<CustomEvent<void>>;
}
export declare class DyteChannelSelectorUi {
    protected z: NgZone;
    protected el: HTMLDyteChannelSelectorUiElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteChannelSelectorUi, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteChannelSelectorUi, "dyte-channel-selector-ui", never, { "channels": { "alias": "channels"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "selectedChannelId": { "alias": "selectedChannelId"; "required": false; }; "showRecentMessage": { "alias": "showRecentMessage"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteChannelSelectorUi extends Components.DyteChannelSelectorUi {
    /**
     * On channel changed
     */
    channelChanged: EventEmitter<CustomEvent<string>>;
}
export declare class DyteChannelSelectorView {
    protected z: NgZone;
    protected el: HTMLDyteChannelSelectorViewElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteChannelSelectorView, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteChannelSelectorView, "dyte-channel-selector-view", never, { "channels": { "alias": "channels"; "required": false; }; "disableSearch": { "alias": "disableSearch"; "required": false; }; "hideAvatar": { "alias": "hideAvatar"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "selectedChannelId": { "alias": "selectedChannelId"; "required": false; }; "t": { "alias": "t"; "required": false; }; "viewAs": { "alias": "viewAs"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteChannelSelectorView extends Components.DyteChannelSelectorView {
    /**
     * Event emitted when selected channel changes
     */
    channelChange: EventEmitter<CustomEvent<{
        id: string;
        name: string;
        avatarUrl?: string;
        icon?: keyof IDyteChannelSelectorViewIconPack;
        latestMessage?: string;
        latestMessageTime?: Date;
        unreadCount?: number;
    }>>;
}
export declare class DyteChat {
    protected z: NgZone;
    protected el: HTMLDyteChatElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteChat, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteChat, "dyte-chat", never, { "config": { "alias": "config"; "required": false; }; "disablePrivateChat": { "alias": "disablePrivateChat"; "required": false; }; "displayFilter": { "alias": "displayFilter"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "privatePresetFilter": { "alias": "privatePresetFilter"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteChat extends Components.DyteChat {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteChatStates>>;
}
export declare class DyteChatComposerUi {
    protected z: NgZone;
    protected el: HTMLDyteChatComposerUiElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteChatComposerUi, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteChatComposerUi, "dyte-chat-composer-ui", never, { "canSendFiles": { "alias": "canSendFiles"; "required": false; }; "canSendTextMessage": { "alias": "canSendTextMessage"; "required": false; }; "channelId": { "alias": "channelId"; "required": false; }; "disableEmojiPicker": { "alias": "disableEmojiPicker"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "members": { "alias": "members"; "required": false; }; "prefill": { "alias": "prefill"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteChatComposerUi extends Components.DyteChatComposerUi {
    /**
     * Event emitted when new message is submitted
     */
    dyteNewMessage: EventEmitter<CustomEvent<IDyteChatComposerUiDyteNewMessageEvent>>;
    /**
     * Event emitted when message is edited
     */
    dyteEditMessage: EventEmitter<CustomEvent<{
        id: string;
        message: string;
        channelId?: string;
    }>>;
    /**
     * Event emitted when message editing is cancelled
     */
    dyteEditCancelled: EventEmitter<CustomEvent<any>>;
}
export declare class DyteChatComposerView {
    protected z: NgZone;
    protected el: HTMLDyteChatComposerViewElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteChatComposerView, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteChatComposerView, "dyte-chat-composer-view", never, { "canSendFiles": { "alias": "canSendFiles"; "required": false; }; "canSendTextMessage": { "alias": "canSendTextMessage"; "required": false; }; "disableEmojiPicker": { "alias": "disableEmojiPicker"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "inputTextPlaceholder": { "alias": "inputTextPlaceholder"; "required": false; }; "isEditing": { "alias": "isEditing"; "required": false; }; "maxLength": { "alias": "maxLength"; "required": false; }; "message": { "alias": "message"; "required": false; }; "quotedMessage": { "alias": "quotedMessage"; "required": false; }; "rateLimits": { "alias": "rateLimits"; "required": false; }; "storageKey": { "alias": "storageKey"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteChatComposerView extends Components.DyteChatComposerView {
    /**
     * Event emitted when new message is submitted
     */
    newMessage: EventEmitter<CustomEvent<IDyteChatComposerViewNewMessageEvent>>;
    /**
     * Event emitted when message is edited
     */
    editMessage: EventEmitter<CustomEvent<string>>;
    /**
     * Event emitted when message editing is cancelled
     */
    editCancel: EventEmitter<CustomEvent<void>>;
    /**
     * Event emitted when quoted message is dismissed
     */
    quotedMessageDismiss: EventEmitter<CustomEvent<void>>;
}
export declare class DyteChatMessage {
    protected z: NgZone;
    protected el: HTMLDyteChatMessageElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteChatMessage, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteChatMessage, "dyte-chat-message", never, { "alignRight": { "alias": "alignRight"; "required": false; }; "canDelete": { "alias": "canDelete"; "required": false; }; "canEdit": { "alias": "canEdit"; "required": false; }; "canPin": { "alias": "canPin"; "required": false; }; "canReply": { "alias": "canReply"; "required": false; }; "child": { "alias": "child"; "required": false; }; "disableControls": { "alias": "disableControls"; "required": false; }; "hideAvatar": { "alias": "hideAvatar"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "isContinued": { "alias": "isContinued"; "required": false; }; "isSelf": { "alias": "isSelf"; "required": false; }; "isUnread": { "alias": "isUnread"; "required": false; }; "leftAlign": { "alias": "leftAlign"; "required": false; }; "message": { "alias": "message"; "required": false; }; "senderDisplayPicture": { "alias": "senderDisplayPicture"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteChatMessage extends Components.DyteChatMessage {
    /**
     * Event for when edit is clicked on a message
     */
    edit: EventEmitter<CustomEvent<IDyteChatMessageMessage>>;
    /**
     * Event for when reply is clicked on a message
     */
    reply: EventEmitter<CustomEvent<IDyteChatMessageMessage>>;
    /**
     * Event for when pin is clicked on a message
     */
    pin: EventEmitter<CustomEvent<IDyteChatMessageMessage>>;
    /**
     * Event for when edit is clicked on a message
     */
    delete: EventEmitter<CustomEvent<IDyteChatMessageMessage>>;
}
export declare class DyteChatMessagesUi {
    protected z: NgZone;
    protected el: HTMLDyteChatMessagesUiElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteChatMessagesUi, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteChatMessagesUi, "dyte-chat-messages-ui", never, { "canPinMessages": { "alias": "canPinMessages"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "messages": { "alias": "messages"; "required": false; }; "selectedGroup": { "alias": "selectedGroup"; "required": false; }; "selfUserId": { "alias": "selfUserId"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteChatMessagesUi extends Components.DyteChatMessagesUi {
    /**
     * Event emitted when a message is pinned or unpinned
     */
    pinMessage: EventEmitter<CustomEvent<IDyteChatMessagesUiMessage>>;
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteChatMessagesUiStates>>;
}
export declare class DyteChatMessagesUiPaginated {
    protected z: NgZone;
    protected el: HTMLDyteChatMessagesUiPaginatedElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteChatMessagesUiPaginated, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteChatMessagesUiPaginated, "dyte-chat-messages-ui-paginated", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "leftAlign": { "alias": "leftAlign"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "selectedChannel": { "alias": "selectedChannel"; "required": false; }; "selectedChannelId": { "alias": "selectedChannelId"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteChatMessagesUiPaginated extends Components.DyteChatMessagesUiPaginated {
    /**
     * Event for editing a message
     */
    editMessageInit: EventEmitter<CustomEvent<{
        payload: IDyteChatMessagesUiPaginatedTextMessage;
        flags: {
            isReply?: boolean;
            isEdit?: boolean;
        };
    }>>;
    /**
     * Event emitted when a message is pinned or unpinned
     */
    pinMessage: EventEmitter<CustomEvent<IDyteChatMessagesUiPaginatedMessage>>;
    /**
     * Event emitted when a message is deleted
     */
    deleteMessage: EventEmitter<CustomEvent<IDyteChatMessagesUiPaginatedMessage>>;
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteChatMessagesUiPaginatedStates>>;
}
export declare class DyteChatSearchResults {
    protected z: NgZone;
    protected el: HTMLDyteChatSearchResultsElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteChatSearchResults, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteChatSearchResults, "dyte-chat-search-results", never, { "channelId": { "alias": "channelId"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "query": { "alias": "query"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteChatSearchResults extends Components.DyteChatSearchResults {
}
export declare class DyteChatSelectorUi {
    protected z: NgZone;
    protected el: HTMLDyteChatSelectorUiElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteChatSelectorUi, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteChatSelectorUi, "dyte-chat-selector-ui", never, { "groups": { "alias": "groups"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "selectedGroupId": { "alias": "selectedGroupId"; "required": false; }; "selfUserId": { "alias": "selfUserId"; "required": false; }; "t": { "alias": "t"; "required": false; }; "unreadCounts": { "alias": "unreadCounts"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteChatSelectorUi extends Components.DyteChatSelectorUi {
    /**
     * Event emitted when chat scope is changed
     */
    dyteChatGroupChanged: EventEmitter<CustomEvent<IDyteChatSelectorUiChatGroupChangedType>>;
}
export declare class DyteChatToggle {
    protected z: NgZone;
    protected el: HTMLDyteChatToggleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteChatToggle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteChatToggle, "dyte-chat-toggle", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteChatToggle extends Components.DyteChatToggle {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteChatToggleStates>>;
}
export declare class DyteClock {
    protected z: NgZone;
    protected el: HTMLDyteClockElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteClock, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteClock, "dyte-clock", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteClock extends Components.DyteClock {
}
export declare class DyteConfirmationModal {
    protected z: NgZone;
    protected el: HTMLDyteConfirmationModalElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteConfirmationModal, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteConfirmationModal, "dyte-confirmation-modal", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteConfirmationModal extends Components.DyteConfirmationModal {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteConfirmationModalStates>>;
}
export declare class DyteControlbar {
    protected z: NgZone;
    protected el: HTMLDyteControlbarElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteControlbar, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteControlbar, "dyte-controlbar", never, { "config": { "alias": "config"; "required": false; }; "disableRender": { "alias": "disableRender"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteControlbar extends Components.DyteControlbar {
}
export declare class DyteControlbarButton {
    protected z: NgZone;
    protected el: HTMLDyteControlbarButtonElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteControlbarButton, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteControlbarButton, "dyte-controlbar-button", never, { "brandIcon": { "alias": "brandIcon"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "isLoading": { "alias": "isLoading"; "required": false; }; "label": { "alias": "label"; "required": false; }; "showWarning": { "alias": "showWarning"; "required": false; }; "size": { "alias": "size"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteControlbarButton extends Components.DyteControlbarButton {
}
export declare class DyteCounter {
    protected z: NgZone;
    protected el: HTMLDyteCounterElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteCounter, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteCounter, "dyte-counter", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "minValue": { "alias": "minValue"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; "value": { "alias": "value"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteCounter extends Components.DyteCounter {
    /**
     * On change event emitter
     */
    valueChange: EventEmitter<CustomEvent<string>>;
}
export declare class DyteDebugger {
    protected z: NgZone;
    protected el: HTMLDyteDebuggerElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteDebugger, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteDebugger, "dyte-debugger", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteDebugger extends Components.DyteDebugger {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteDebuggerStates>>;
}
export declare class DyteDebuggerAudio {
    protected z: NgZone;
    protected el: HTMLDyteDebuggerAudioElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteDebuggerAudio, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteDebuggerAudio, "dyte-debugger-audio", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteDebuggerAudio extends Components.DyteDebuggerAudio {
}
export declare class DyteDebuggerScreenshare {
    protected z: NgZone;
    protected el: HTMLDyteDebuggerScreenshareElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteDebuggerScreenshare, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteDebuggerScreenshare, "dyte-debugger-screenshare", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteDebuggerScreenshare extends Components.DyteDebuggerScreenshare {
}
export declare class DyteDebuggerSystem {
    protected z: NgZone;
    protected el: HTMLDyteDebuggerSystemElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteDebuggerSystem, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteDebuggerSystem, "dyte-debugger-system", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteDebuggerSystem extends Components.DyteDebuggerSystem {
}
export declare class DyteDebuggerToggle {
    protected z: NgZone;
    protected el: HTMLDyteDebuggerToggleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteDebuggerToggle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteDebuggerToggle, "dyte-debugger-toggle", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteDebuggerToggle extends Components.DyteDebuggerToggle {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteDebuggerToggleStates>>;
}
export declare class DyteDebuggerVideo {
    protected z: NgZone;
    protected el: HTMLDyteDebuggerVideoElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteDebuggerVideo, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteDebuggerVideo, "dyte-debugger-video", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteDebuggerVideo extends Components.DyteDebuggerVideo {
}
export declare class DyteDialog {
    protected z: NgZone;
    protected el: HTMLDyteDialogElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteDialog, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteDialog, "dyte-dialog", never, { "config": { "alias": "config"; "required": false; }; "disableEscapeKey": { "alias": "disableEscapeKey"; "required": false; }; "hideCloseButton": { "alias": "hideCloseButton"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "open": { "alias": "open"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteDialog extends Components.DyteDialog {
    /**
     * Event emitted when dialog is closed
     */
    dyteDialogClose: EventEmitter<CustomEvent<any>>;
}
export declare class DyteDialogManager {
    protected z: NgZone;
    protected el: HTMLDyteDialogManagerElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteDialogManager, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteDialogManager, "dyte-dialog-manager", never, { "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteDialogManager extends Components.DyteDialogManager {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteDialogManagerStates>>;
}
export declare class DyteDraftAttachmentView {
    protected z: NgZone;
    protected el: HTMLDyteDraftAttachmentViewElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteDraftAttachmentView, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteDraftAttachmentView, "dyte-draft-attachment-view", never, { "attachment": { "alias": "attachment"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteDraftAttachmentView extends Components.DyteDraftAttachmentView {
    /**
     * Event triggered when the attachment is deleted
     */
    deleteAttachment: EventEmitter<CustomEvent<any>>;
}
export declare class DyteEmojiPicker {
    protected z: NgZone;
    protected el: HTMLDyteEmojiPickerElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteEmojiPicker, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteEmojiPicker, "dyte-emoji-picker", never, { "focusWhenOpened": { "alias": "focusWhenOpened"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteEmojiPicker extends Components.DyteEmojiPicker {
    /**
     * Close event
     */
    pickerClose: EventEmitter<CustomEvent<void>>;
    /**
     * Event which is emitted when an Emoji is clicked
     */
    dyteEmojiClicked: EventEmitter<CustomEvent<string>>;
}
export declare class DyteEmojiPickerButton {
    protected z: NgZone;
    protected el: HTMLDyteEmojiPickerButtonElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteEmojiPickerButton, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteEmojiPickerButton, "dyte-emoji-picker-button", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "isActive": { "alias": "isActive"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteEmojiPickerButton extends Components.DyteEmojiPickerButton {
}
export declare class DyteEndedScreen {
    protected z: NgZone;
    protected el: HTMLDyteEndedScreenElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteEndedScreen, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteEndedScreen, "dyte-ended-screen", never, { "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteEndedScreen extends Components.DyteEndedScreen {
}
export declare class DyteFileDropzone {
    protected z: NgZone;
    protected el: HTMLDyteFileDropzoneElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteFileDropzone, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteFileDropzone, "dyte-file-dropzone", never, { "hostEl": { "alias": "hostEl"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteFileDropzone extends Components.DyteFileDropzone {
    /**
     * drop event callback
     */
    dropCallback: EventEmitter<CustomEvent<DragEvent>>;
}
export declare class DyteFileMessage {
    protected z: NgZone;
    protected el: HTMLDyteFileMessageElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteFileMessage, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteFileMessage, "dyte-file-message", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "isContinued": { "alias": "isContinued"; "required": false; }; "message": { "alias": "message"; "required": false; }; "now": { "alias": "now"; "required": false; }; "showBubble": { "alias": "showBubble"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteFileMessage extends Components.DyteFileMessage {
}
export declare class DyteFileMessageView {
    protected z: NgZone;
    protected el: HTMLDyteFileMessageViewElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteFileMessageView, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteFileMessageView, "dyte-file-message-view", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "name": { "alias": "name"; "required": false; }; "size": { "alias": "size"; "required": false; }; "url": { "alias": "url"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteFileMessageView extends Components.DyteFileMessageView {
}
export declare class DyteFilePickerButton {
    protected z: NgZone;
    protected el: HTMLDyteFilePickerButtonElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteFilePickerButton, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteFilePickerButton, "dyte-file-picker-button", never, { "filter": { "alias": "filter"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "label": { "alias": "label"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteFilePickerButton extends Components.DyteFilePickerButton {
    /**
     * Event when a file is selected for upload
     */
    fileChange: EventEmitter<CustomEvent<File>>;
}
export declare class DyteFullscreenToggle {
    protected z: NgZone;
    protected el: HTMLDyteFullscreenToggleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteFullscreenToggle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteFullscreenToggle, "dyte-fullscreen-toggle", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "targetElement": { "alias": "targetElement"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteFullscreenToggle extends Components.DyteFullscreenToggle {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteFullscreenToggleStates>>;
}
export declare class DyteGrid {
    protected z: NgZone;
    protected el: HTMLDyteGridElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteGrid, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteGrid, "dyte-grid", never, { "aspectRatio": { "alias": "aspectRatio"; "required": false; }; "config": { "alias": "config"; "required": false; }; "gap": { "alias": "gap"; "required": false; }; "gridSize": { "alias": "gridSize"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "layout": { "alias": "layout"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "overrides": { "alias": "overrides"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteGrid extends Components.DyteGrid {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteGridStates>>;
}
export declare class DyteGridPagination {
    protected z: NgZone;
    protected el: HTMLDyteGridPaginationElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteGridPagination, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteGridPagination, "dyte-grid-pagination", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteGridPagination extends Components.DyteGridPagination {
}
export declare class DyteHeader {
    protected z: NgZone;
    protected el: HTMLDyteHeaderElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteHeader, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteHeader, "dyte-header", never, { "config": { "alias": "config"; "required": false; }; "disableRender": { "alias": "disableRender"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteHeader extends Components.DyteHeader {
}
export declare class DyteIcon {
    protected z: NgZone;
    protected el: HTMLDyteIconElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteIcon, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteIcon, "dyte-icon", never, { "icon": { "alias": "icon"; "required": false; }; "size": { "alias": "size"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteIcon extends Components.DyteIcon {
}
export declare class DyteIdleScreen {
    protected z: NgZone;
    protected el: HTMLDyteIdleScreenElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteIdleScreen, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteIdleScreen, "dyte-idle-screen", never, { "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteIdleScreen extends Components.DyteIdleScreen {
}
export declare class DyteImageMessage {
    protected z: NgZone;
    protected el: HTMLDyteImageMessageElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteImageMessage, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteImageMessage, "dyte-image-message", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "isContinued": { "alias": "isContinued"; "required": false; }; "message": { "alias": "message"; "required": false; }; "now": { "alias": "now"; "required": false; }; "showBubble": { "alias": "showBubble"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteImageMessage extends Components.DyteImageMessage {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteImageMessageStates>>;
}
export declare class DyteImageMessageView {
    protected z: NgZone;
    protected el: HTMLDyteImageMessageViewElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteImageMessageView, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteImageMessageView, "dyte-image-message-view", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "t": { "alias": "t"; "required": false; }; "url": { "alias": "url"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteImageMessageView extends Components.DyteImageMessageView {
    /**
     * preview event
     */
    preview: EventEmitter<CustomEvent<string>>;
}
export declare class DyteImageViewer {
    protected z: NgZone;
    protected el: HTMLDyteImageViewerElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteImageViewer, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteImageViewer, "dyte-image-viewer", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "image": { "alias": "image"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteImageViewer extends Components.DyteImageViewer {
    /**
     * Emitted when viewer should be closed
     */
    close: EventEmitter<CustomEvent<void>>;
}
export declare class DyteInformationTooltip {
    protected z: NgZone;
    protected el: HTMLDyteInformationTooltipElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteInformationTooltip, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteInformationTooltip, "dyte-information-tooltip", never, { "iconPack": { "alias": "iconPack"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteInformationTooltip extends Components.DyteInformationTooltip {
}
export declare class DyteJoinStage {
    protected z: NgZone;
    protected el: HTMLDyteJoinStageElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteJoinStage, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteJoinStage, "dyte-join-stage", never, { "config": { "alias": "config"; "required": false; }; "dataConfig": { "alias": "dataConfig"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteJoinStage extends Components.DyteJoinStage {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteJoinStageStates>>;
    /**
     * Event which is emitted when user confirms joining stage
     */
    dyteJoinStage: EventEmitter<CustomEvent<void>>;
    /**
     * Event which is emitted when user cancel joining stage
     */
    dyteLeaveStage: EventEmitter<CustomEvent<void>>;
}
export declare class DyteLeaveButton {
    protected z: NgZone;
    protected el: HTMLDyteLeaveButtonElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteLeaveButton, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteLeaveButton, "dyte-leave-button", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteLeaveButton extends Components.DyteLeaveButton {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteLeaveButtonStates>>;
}
export declare class DyteLeaveMeeting {
    protected z: NgZone;
    protected el: HTMLDyteLeaveMeetingElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteLeaveMeeting, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteLeaveMeeting, "dyte-leave-meeting", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteLeaveMeeting extends Components.DyteLeaveMeeting {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteLeaveMeetingStates>>;
}
export declare class DyteLivestreamIndicator {
    protected z: NgZone;
    protected el: HTMLDyteLivestreamIndicatorElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteLivestreamIndicator, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteLivestreamIndicator, "dyte-livestream-indicator", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteLivestreamIndicator extends Components.DyteLivestreamIndicator {
}
export declare class DyteLivestreamPlayer {
    protected z: NgZone;
    protected el: HTMLDyteLivestreamPlayerElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteLivestreamPlayer, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteLivestreamPlayer, "dyte-livestream-player", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteLivestreamPlayer extends Components.DyteLivestreamPlayer {
    /**
     * Emit API error events
     */
    dyteAPIError: EventEmitter<CustomEvent<{
        trace: string;
        message: string;
    }>>;
}
export declare class DyteLivestreamToggle {
    protected z: NgZone;
    protected el: HTMLDyteLivestreamToggleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteLivestreamToggle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteLivestreamToggle, "dyte-livestream-toggle", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteLivestreamToggle extends Components.DyteLivestreamToggle {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteLivestreamToggleStates>>;
    /**
     * Emit API error events
     */
    dyteAPIError: EventEmitter<CustomEvent<{
        trace: string;
        message: string;
    }>>;
}
export declare class DyteLogo {
    protected z: NgZone;
    protected el: HTMLDyteLogoElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteLogo, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteLogo, "dyte-logo", never, { "config": { "alias": "config"; "required": false; }; "logoUrl": { "alias": "logoUrl"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteLogo extends Components.DyteLogo {
}
export declare class DyteMarkdownView {
    protected z: NgZone;
    protected el: HTMLDyteMarkdownViewElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteMarkdownView, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteMarkdownView, "dyte-markdown-view", never, { "maxLength": { "alias": "maxLength"; "required": false; }; "text": { "alias": "text"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteMarkdownView extends Components.DyteMarkdownView {
}
export declare class DyteMeeting {
    protected z: NgZone;
    protected el: HTMLDyteMeetingElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteMeeting, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteMeeting, "dyte-meeting", never, { "applyDesignSystem": { "alias": "applyDesignSystem"; "required": false; }; "config": { "alias": "config"; "required": false; }; "gridLayout": { "alias": "gridLayout"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "leaveOnUnmount": { "alias": "leaveOnUnmount"; "required": false; }; "loadConfigFromPreset": { "alias": "loadConfigFromPreset"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "showSetupScreen": { "alias": "showSetupScreen"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteMeeting extends Components.DyteMeeting {
    /**
     * States
     */
    dyteStatesUpdate: EventEmitter<CustomEvent<IDyteMeetingStates>>;
}
export declare class DyteMeetingTitle {
    protected z: NgZone;
    protected el: HTMLDyteMeetingTitleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteMeetingTitle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteMeetingTitle, "dyte-meeting-title", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteMeetingTitle extends Components.DyteMeetingTitle {
}
export declare class DyteMenu {
    protected z: NgZone;
    protected el: HTMLDyteMenuElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteMenu, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteMenu, "dyte-menu", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "offset": { "alias": "offset"; "required": false; }; "placement": { "alias": "placement"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteMenu extends Components.DyteMenu {
}
export declare class DyteMenuItem {
    protected z: NgZone;
    protected el: HTMLDyteMenuItemElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteMenuItem, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteMenuItem, "dyte-menu-item", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteMenuItem extends Components.DyteMenuItem {
}
export declare class DyteMenuList {
    protected z: NgZone;
    protected el: HTMLDyteMenuListElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteMenuList, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteMenuList, "dyte-menu-list", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteMenuList extends Components.DyteMenuList {
}
export declare class DyteMessageListView {
    protected z: NgZone;
    protected el: HTMLDyteMessageListViewElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteMessageListView, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteMessageListView, "dyte-message-list-view", never, { "estimateItemSize": { "alias": "estimateItemSize"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "loadMore": { "alias": "loadMore"; "required": false; }; "messages": { "alias": "messages"; "required": false; }; "renderer": { "alias": "renderer"; "required": false; }; "visibleItemsCount": { "alias": "visibleItemsCount"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteMessageListView extends Components.DyteMessageListView {
}
export declare class DyteMessageView {
    protected z: NgZone;
    protected el: HTMLDyteMessageViewElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteMessageView, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteMessageView, "dyte-message-view", never, { "actions": { "alias": "actions"; "required": false; }; "authorName": { "alias": "authorName"; "required": false; }; "avatarUrl": { "alias": "avatarUrl"; "required": false; }; "hideAuthorName": { "alias": "hideAuthorName"; "required": false; }; "hideAvatar": { "alias": "hideAvatar"; "required": false; }; "hideMetadata": { "alias": "hideMetadata"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "time": { "alias": "time"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; "viewType": { "alias": "viewType"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteMessageView extends Components.DyteMessageView {
    /**
     * action event
     */
    action: EventEmitter<CustomEvent<string>>;
}
export declare class DyteMicToggle {
    protected z: NgZone;
    protected el: HTMLDyteMicToggleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteMicToggle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteMicToggle, "dyte-mic-toggle", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteMicToggle extends Components.DyteMicToggle {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteMicToggleStates>>;
}
export declare class DyteMicrophoneSelector {
    protected z: NgZone;
    protected el: HTMLDyteMicrophoneSelectorElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteMicrophoneSelector, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteMicrophoneSelector, "dyte-microphone-selector", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteMicrophoneSelector extends Components.DyteMicrophoneSelector {
}
export declare class DyteMixedGrid {
    protected z: NgZone;
    protected el: HTMLDyteMixedGridElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteMixedGrid, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteMixedGrid, "dyte-mixed-grid", never, { "aspectRatio": { "alias": "aspectRatio"; "required": false; }; "config": { "alias": "config"; "required": false; }; "gap": { "alias": "gap"; "required": false; }; "gridSize": { "alias": "gridSize"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "layout": { "alias": "layout"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "participants": { "alias": "participants"; "required": false; }; "pinnedParticipants": { "alias": "pinnedParticipants"; "required": false; }; "plugins": { "alias": "plugins"; "required": false; }; "screenShareParticipants": { "alias": "screenShareParticipants"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteMixedGrid extends Components.DyteMixedGrid {
}
export declare class DyteMoreToggle {
    protected z: NgZone;
    protected el: HTMLDyteMoreToggleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteMoreToggle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteMoreToggle, "dyte-more-toggle", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteMoreToggle extends Components.DyteMoreToggle {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteMoreToggleStates>>;
}
export declare class DyteMuteAllButton {
    protected z: NgZone;
    protected el: HTMLDyteMuteAllButtonElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteMuteAllButton, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteMuteAllButton, "dyte-mute-all-button", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteMuteAllButton extends Components.DyteMuteAllButton {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteMuteAllButtonStates>>;
}
export declare class DyteMuteAllConfirmation {
    protected z: NgZone;
    protected el: HTMLDyteMuteAllConfirmationElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteMuteAllConfirmation, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteMuteAllConfirmation, "dyte-mute-all-confirmation", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteMuteAllConfirmation extends Components.DyteMuteAllConfirmation {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteMuteAllConfirmationStates>>;
}
export declare class DyteNameTag {
    protected z: NgZone;
    protected el: HTMLDyteNameTagElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteNameTag, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteNameTag, "dyte-name-tag", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "isScreenShare": { "alias": "isScreenShare"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "participant": { "alias": "participant"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteNameTag extends Components.DyteNameTag {
}
export declare class DyteNetworkIndicator {
    protected z: NgZone;
    protected el: HTMLDyteNetworkIndicatorElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteNetworkIndicator, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteNetworkIndicator, "dyte-network-indicator", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "isScreenShare": { "alias": "isScreenShare"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "participant": { "alias": "participant"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteNetworkIndicator extends Components.DyteNetworkIndicator {
}
export declare class DyteNotification {
    protected z: NgZone;
    protected el: HTMLDyteNotificationElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteNotification, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteNotification, "dyte-notification", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "notification": { "alias": "notification"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteNotification extends Components.DyteNotification {
    /**
     * Dismiss event
     */
    dyteNotificationDismiss: EventEmitter<CustomEvent<string>>;
}
export declare class DyteNotifications {
    protected z: NgZone;
    protected el: HTMLDyteNotificationsElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteNotifications, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteNotifications, "dyte-notifications", never, { "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteNotifications extends Components.DyteNotifications {
}
export declare class DyteOverlayModal {
    protected z: NgZone;
    protected el: HTMLDyteOverlayModalElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteOverlayModal, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteOverlayModal, "dyte-overlay-modal", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteOverlayModal extends Components.DyteOverlayModal {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteOverlayModalStates>>;
}
export declare class DytePaginatedList {
    protected z: NgZone;
    protected el: HTMLDytePaginatedListElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DytePaginatedList, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DytePaginatedList, "dyte-paginated-list", never, { "autoScroll": { "alias": "autoScroll"; "required": false; }; "createNodes": { "alias": "createNodes"; "required": false; }; "emptyListLabel": { "alias": "emptyListLabel"; "required": false; }; "fetchData": { "alias": "fetchData"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "pageSize": { "alias": "pageSize"; "required": false; }; "pagesAllowed": { "alias": "pagesAllowed"; "required": false; }; "selectedItemId": { "alias": "selectedItemId"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DytePaginatedList extends Components.DytePaginatedList {
}
export declare class DyteParticipant {
    protected z: NgZone;
    protected el: HTMLDyteParticipantElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteParticipant, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteParticipant, "dyte-participant", never, { "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "participant": { "alias": "participant"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "view": { "alias": "view"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteParticipant extends Components.DyteParticipant {
    /**
     * Emit dyte notifications
     */
    dyteSendNotification: EventEmitter<CustomEvent<{
        trace: string;
        message: string;
    }>>;
}
export declare class DyteParticipantCount {
    protected z: NgZone;
    protected el: HTMLDyteParticipantCountElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteParticipantCount, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteParticipantCount, "dyte-participant-count", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteParticipantCount extends Components.DyteParticipantCount {
}
export declare class DyteParticipantSetup {
    protected z: NgZone;
    protected el: HTMLDyteParticipantSetupElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteParticipantSetup, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteParticipantSetup, "dyte-participant-setup", never, { "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "isPreview": { "alias": "isPreview"; "required": false; }; "nameTagPosition": { "alias": "nameTagPosition"; "required": false; }; "participant": { "alias": "participant"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteParticipantSetup extends Components.DyteParticipantSetup {
}
export declare class DyteParticipantTile {
    protected z: NgZone;
    protected el: HTMLDyteParticipantTileElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteParticipantTile, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteParticipantTile, "dyte-participant-tile", never, { "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "isPreview": { "alias": "isPreview"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "nameTagPosition": { "alias": "nameTagPosition"; "required": false; }; "participant": { "alias": "participant"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteParticipantTile extends Components.DyteParticipantTile {
    /**
     * Event triggered when tile is loaded
     */
    tileLoad: EventEmitter<CustomEvent<{
        participant: IDyteParticipantTilePeer;
        videoElement: HTMLVideoElement;
    }>>;
    /**
     * Event triggered when tile is unloaded
     */
    tileUnload: EventEmitter<CustomEvent<IDyteParticipantTilePeer>>;
}
export declare class DyteParticipants {
    protected z: NgZone;
    protected el: HTMLDyteParticipantsElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteParticipants, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteParticipants, "dyte-participants", never, { "config": { "alias": "config"; "required": false; }; "defaultParticipantsTabId": { "alias": "defaultParticipantsTabId"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteParticipants extends Components.DyteParticipants {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteParticipantsStates>>;
}
export declare class DyteParticipantsAudio {
    protected z: NgZone;
    protected el: HTMLDyteParticipantsAudioElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteParticipantsAudio, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteParticipantsAudio, "dyte-participants-audio", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "preloadedAudioElem": { "alias": "preloadedAudioElem"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteParticipantsAudio extends Components.DyteParticipantsAudio {
    /**
     * Callback to execute when the dialog is closed
     */
    dialogClose: EventEmitter<CustomEvent<void>>;
}
export declare class DyteParticipantsStageList {
    protected z: NgZone;
    protected el: HTMLDyteParticipantsStageListElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteParticipantsStageList, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteParticipantsStageList, "dyte-participants-stage-list", never, { "config": { "alias": "config"; "required": false; }; "hideHeader": { "alias": "hideHeader"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "search": { "alias": "search"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "view": { "alias": "view"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteParticipantsStageList extends Components.DyteParticipantsStageList {
}
export declare class DyteParticipantsStageQueue {
    protected z: NgZone;
    protected el: HTMLDyteParticipantsStageQueueElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteParticipantsStageQueue, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteParticipantsStageQueue, "dyte-participants-stage-queue", never, { "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; "view": { "alias": "view"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteParticipantsStageQueue extends Components.DyteParticipantsStageQueue {
}
export declare class DyteParticipantsToggle {
    protected z: NgZone;
    protected el: HTMLDyteParticipantsToggleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteParticipantsToggle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteParticipantsToggle, "dyte-participants-toggle", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteParticipantsToggle extends Components.DyteParticipantsToggle {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteParticipantsToggleStates>>;
}
export declare class DyteParticipantsViewerList {
    protected z: NgZone;
    protected el: HTMLDyteParticipantsViewerListElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteParticipantsViewerList, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteParticipantsViewerList, "dyte-participants-viewer-list", never, { "config": { "alias": "config"; "required": false; }; "hideHeader": { "alias": "hideHeader"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "search": { "alias": "search"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; "view": { "alias": "view"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteParticipantsViewerList extends Components.DyteParticipantsViewerList {
}
export declare class DyteParticipantsWaitingList {
    protected z: NgZone;
    protected el: HTMLDyteParticipantsWaitingListElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteParticipantsWaitingList, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteParticipantsWaitingList, "dyte-participants-waiting-list", never, { "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; "view": { "alias": "view"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteParticipantsWaitingList extends Components.DyteParticipantsWaitingList {
}
export declare class DytePermissionsMessage {
    protected z: NgZone;
    protected el: HTMLDytePermissionsMessageElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DytePermissionsMessage, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DytePermissionsMessage, "dyte-permissions-message", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DytePermissionsMessage extends Components.DytePermissionsMessage {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDytePermissionsMessageStates>>;
}
export declare class DytePipToggle {
    protected z: NgZone;
    protected el: HTMLDytePipToggleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DytePipToggle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DytePipToggle, "dyte-pip-toggle", never, { "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DytePipToggle extends Components.DytePipToggle {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDytePipToggleStates>>;
}
export declare class DytePluginMain {
    protected z: NgZone;
    protected el: HTMLDytePluginMainElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DytePluginMain, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DytePluginMain, "dyte-plugin-main", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "plugin": { "alias": "plugin"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DytePluginMain extends Components.DytePluginMain {
}
export declare class DytePlugins {
    protected z: NgZone;
    protected el: HTMLDytePluginsElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DytePlugins, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DytePlugins, "dyte-plugins", never, { "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DytePlugins extends Components.DytePlugins {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDytePluginsStates>>;
}
export declare class DytePluginsToggle {
    protected z: NgZone;
    protected el: HTMLDytePluginsToggleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DytePluginsToggle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DytePluginsToggle, "dyte-plugins-toggle", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DytePluginsToggle extends Components.DytePluginsToggle {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDytePluginsToggleStates>>;
}
export declare class DytePoll {
    protected z: NgZone;
    protected el: HTMLDytePollElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DytePoll, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DytePoll, "dyte-poll", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "permissions": { "alias": "permissions"; "required": false; }; "poll": { "alias": "poll"; "required": false; }; "self": { "alias": "self"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DytePoll extends Components.DytePoll {
    /**
     * Event which is emitted when a poll is voted on
     */
    dyteVotePoll: EventEmitter<CustomEvent<{
        id: string;
        index: number;
    }>>;
}
export declare class DytePollForm {
    protected z: NgZone;
    protected el: HTMLDytePollFormElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DytePollForm, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DytePollForm, "dyte-poll-form", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DytePollForm extends Components.DytePollForm {
    /**
     * Event which is emitted when a poll is created
     */
    dyteCreatePoll: EventEmitter<CustomEvent<IDytePollFormPollObject>>;
}
export declare class DytePolls {
    protected z: NgZone;
    protected el: HTMLDytePollsElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DytePolls, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DytePolls, "dyte-polls", never, { "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DytePolls extends Components.DytePolls {
}
export declare class DytePollsToggle {
    protected z: NgZone;
    protected el: HTMLDytePollsToggleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DytePollsToggle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DytePollsToggle, "dyte-polls-toggle", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DytePollsToggle extends Components.DytePollsToggle {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDytePollsToggleStates>>;
}
export declare class DyteRecordingIndicator {
    protected z: NgZone;
    protected el: HTMLDyteRecordingIndicatorElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteRecordingIndicator, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteRecordingIndicator, "dyte-recording-indicator", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteRecordingIndicator extends Components.DyteRecordingIndicator {
}
export declare class DyteRecordingToggle {
    protected z: NgZone;
    protected el: HTMLDyteRecordingToggleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteRecordingToggle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteRecordingToggle, "dyte-recording-toggle", never, { "disabled": { "alias": "disabled"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteRecordingToggle extends Components.DyteRecordingToggle {
    /**
     * Emit api error events
     */
    dyteAPIError: EventEmitter<CustomEvent<{
        trace: string;
        message: string;
    }>>;
}
export declare class DyteScreenShareToggle {
    protected z: NgZone;
    protected el: HTMLDyteScreenShareToggleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteScreenShareToggle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteScreenShareToggle, "dyte-screen-share-toggle", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteScreenShareToggle extends Components.DyteScreenShareToggle {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteScreenShareToggleStates>>;
    /**
     * Emit api error events
     */
    dyteAPIError: EventEmitter<CustomEvent<{
        trace: string;
        message: string;
    }>>;
}
export declare class DyteScreenshareView {
    protected z: NgZone;
    protected el: HTMLDyteScreenshareViewElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteScreenshareView, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteScreenshareView, "dyte-screenshare-view", never, { "hideFullScreenButton": { "alias": "hideFullScreenButton"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "nameTagPosition": { "alias": "nameTagPosition"; "required": false; }; "participant": { "alias": "participant"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteScreenshareView extends Components.DyteScreenshareView {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteScreenshareViewStates>>;
    /**
     * Emits when video playback happens successfully
     */
    screensharePlay: EventEmitter<CustomEvent<{
        participant: IDyteScreenshareViewPeer;
        screenshareParticipant: IDyteScreenshareViewPeer;
    }>>;
}
export declare class DyteSettings {
    protected z: NgZone;
    protected el: HTMLDyteSettingsElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteSettings, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteSettings, "dyte-settings", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteSettings extends Components.DyteSettings {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteSettingsStates>>;
}
export declare class DyteSettingsAudio {
    protected z: NgZone;
    protected el: HTMLDyteSettingsAudioElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteSettingsAudio, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteSettingsAudio, "dyte-settings-audio", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteSettingsAudio extends Components.DyteSettingsAudio {
    /**
     * Event updated state
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteSettingsAudioStates>>;
}
export declare class DyteSettingsToggle {
    protected z: NgZone;
    protected el: HTMLDyteSettingsToggleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteSettingsToggle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteSettingsToggle, "dyte-settings-toggle", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteSettingsToggle extends Components.DyteSettingsToggle {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteSettingsToggleStates>>;
}
export declare class DyteSettingsVideo {
    protected z: NgZone;
    protected el: HTMLDyteSettingsVideoElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteSettingsVideo, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteSettingsVideo, "dyte-settings-video", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteSettingsVideo extends Components.DyteSettingsVideo {
    /**
     * Emits updated state
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteSettingsVideoStates>>;
}
export declare class DyteSetupScreen {
    protected z: NgZone;
    protected el: HTMLDyteSetupScreenElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteSetupScreen, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteSetupScreen, "dyte-setup-screen", never, { "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteSetupScreen extends Components.DyteSetupScreen {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteSetupScreenStates>>;
}
export declare class DyteSidebar {
    protected z: NgZone;
    protected el: HTMLDyteSidebarElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteSidebar, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteSidebar, "dyte-sidebar", never, { "config": { "alias": "config"; "required": false; }; "defaultSection": { "alias": "defaultSection"; "required": false; }; "enabledSections": { "alias": "enabledSections"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "view": { "alias": "view"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteSidebar extends Components.DyteSidebar {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteSidebarStates>>;
}
export declare class DyteSidebarUi {
    protected z: NgZone;
    protected el: HTMLDyteSidebarUiElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteSidebarUi, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteSidebarUi, "dyte-sidebar-ui", never, { "currentTab": { "alias": "currentTab"; "required": false; }; "hideCloseAction": { "alias": "hideCloseAction"; "required": false; }; "hideHeader": { "alias": "hideHeader"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "t": { "alias": "t"; "required": false; }; "tabs": { "alias": "tabs"; "required": false; }; "view": { "alias": "view"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteSidebarUi extends Components.DyteSidebarUi {
    /**
     * Tab change event
     */
    tabChange: EventEmitter<CustomEvent<string>>;
    /**
     * Tab change event
     */
    sidebarClose: EventEmitter<CustomEvent<void>>;
}
export declare class DyteSimpleGrid {
    protected z: NgZone;
    protected el: HTMLDyteSimpleGridElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteSimpleGrid, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteSimpleGrid, "dyte-simple-grid", never, { "aspectRatio": { "alias": "aspectRatio"; "required": false; }; "config": { "alias": "config"; "required": false; }; "gap": { "alias": "gap"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "participants": { "alias": "participants"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteSimpleGrid extends Components.DyteSimpleGrid {
}
export declare class DyteSpeakerSelector {
    protected z: NgZone;
    protected el: HTMLDyteSpeakerSelectorElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteSpeakerSelector, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteSpeakerSelector, "dyte-speaker-selector", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteSpeakerSelector extends Components.DyteSpeakerSelector {
}
export declare class DyteSpinner {
    protected z: NgZone;
    protected el: HTMLDyteSpinnerElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteSpinner, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteSpinner, "dyte-spinner", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "size": { "alias": "size"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteSpinner extends Components.DyteSpinner {
}
export declare class DyteSpotlightGrid {
    protected z: NgZone;
    protected el: HTMLDyteSpotlightGridElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteSpotlightGrid, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteSpotlightGrid, "dyte-spotlight-grid", never, { "aspectRatio": { "alias": "aspectRatio"; "required": false; }; "config": { "alias": "config"; "required": false; }; "gap": { "alias": "gap"; "required": false; }; "gridSize": { "alias": "gridSize"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "layout": { "alias": "layout"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "participants": { "alias": "participants"; "required": false; }; "pinnedParticipants": { "alias": "pinnedParticipants"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteSpotlightGrid extends Components.DyteSpotlightGrid {
}
export declare class DyteSpotlightIndicator {
    protected z: NgZone;
    protected el: HTMLDyteSpotlightIndicatorElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteSpotlightIndicator, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteSpotlightIndicator, "dyte-spotlight-indicator", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteSpotlightIndicator extends Components.DyteSpotlightIndicator {
}
export declare class DyteStage {
    protected z: NgZone;
    protected el: HTMLDyteStageElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteStage, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteStage, "dyte-stage", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteStage extends Components.DyteStage {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteStageStates>>;
}
export declare class DyteStageToggle {
    protected z: NgZone;
    protected el: HTMLDyteStageToggleElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteStageToggle, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteStageToggle, "dyte-stage-toggle", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteStageToggle extends Components.DyteStageToggle {
    /**
     * Emits updated state data
     */
    dyteStateUpdate: EventEmitter<CustomEvent<IDyteStageToggleStates>>;
}
export declare class DyteSwitch {
    protected z: NgZone;
    protected el: HTMLDyteSwitchElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteSwitch, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteSwitch, "dyte-switch", never, { "checked": { "alias": "checked"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "readonly": { "alias": "readonly"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteSwitch extends Components.DyteSwitch {
    /**
     * Event when switch value is changed
     */
    dyteChange: EventEmitter<CustomEvent<boolean>>;
}
export declare class DyteTabBar {
    protected z: NgZone;
    protected el: HTMLDyteTabBarElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteTabBar, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteTabBar, "dyte-tab-bar", never, { "activeTab": { "alias": "activeTab"; "required": false; }; "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "layout": { "alias": "layout"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "size": { "alias": "size"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; "tabs": { "alias": "tabs"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteTabBar extends Components.DyteTabBar {
    /**
     * Set active tab
     */
    tabChange: EventEmitter<CustomEvent<IDyteTabBarTab>>;
}
export declare class DyteTextComposerView {
    protected z: NgZone;
    protected el: HTMLDyteTextComposerViewElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteTextComposerView, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteTextComposerView, "dyte-text-composer-view", never, { "disabled": { "alias": "disabled"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "keyDownHandler": { "alias": "keyDownHandler"; "required": false; }; "maxLength": { "alias": "maxLength"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "rateLimitBreached": { "alias": "rateLimitBreached"; "required": false; }; "t": { "alias": "t"; "required": false; }; "value": { "alias": "value"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteTextComposerView extends Components.DyteTextComposerView {
    /**
     * Event emitted when text changes
     */
    textChange: EventEmitter<CustomEvent<string>>;
}
export declare class DyteTextMessage {
    protected z: NgZone;
    protected el: HTMLDyteTextMessageElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteTextMessage, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteTextMessage, "dyte-text-message", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "isContinued": { "alias": "isContinued"; "required": false; }; "message": { "alias": "message"; "required": false; }; "now": { "alias": "now"; "required": false; }; "showBubble": { "alias": "showBubble"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteTextMessage extends Components.DyteTextMessage {
}
export declare class DyteTextMessageView {
    protected z: NgZone;
    protected el: HTMLDyteTextMessageViewElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteTextMessageView, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteTextMessageView, "dyte-text-message-view", never, { "isMarkdown": { "alias": "isMarkdown"; "required": false; }; "text": { "alias": "text"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteTextMessageView extends Components.DyteTextMessageView {
}
export declare class DyteTooltip {
    protected z: NgZone;
    protected el: HTMLDyteTooltipElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteTooltip, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteTooltip, "dyte-tooltip", never, { "delay": { "alias": "delay"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "kind": { "alias": "kind"; "required": false; }; "label": { "alias": "label"; "required": false; }; "open": { "alias": "open"; "required": false; }; "placement": { "alias": "placement"; "required": false; }; "size": { "alias": "size"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteTooltip extends Components.DyteTooltip {
    /**
     * Event handler called when the open state of the tooltip changes.
     */
    dyteOpenChange: EventEmitter<CustomEvent<boolean>>;
}
export declare class DyteTranscript {
    protected z: NgZone;
    protected el: HTMLDyteTranscriptElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteTranscript, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteTranscript, "dyte-transcript", never, { "t": { "alias": "t"; "required": false; }; "transcript": { "alias": "transcript"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteTranscript extends Components.DyteTranscript {
    /**
     * Dismiss event
     */
    dyteTranscriptDismiss: EventEmitter<CustomEvent<{
        id: string;
        renderedId: string;
    }>>;
}
export declare class DyteTranscripts {
    protected z: NgZone;
    protected el: HTMLDyteTranscriptsElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteTranscripts, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteTranscripts, "dyte-transcripts", never, { "config": { "alias": "config"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "states": { "alias": "states"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteTranscripts extends Components.DyteTranscripts {
}
export declare class DyteUiProvider {
    protected z: NgZone;
    protected el: HTMLDyteUiProviderElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteUiProvider, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteUiProvider, "dyte-ui-provider", never, { "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "noRenderUntilMeeting": { "alias": "noRenderUntilMeeting"; "required": false; }; "showSetupScreen": { "alias": "showSetupScreen"; "required": false; }; "size": { "alias": "size"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteUiProvider extends Components.DyteUiProvider {
    /**
     * States event
     */
    dyteStatesUpdate: EventEmitter<CustomEvent<IDyteUiProviderStates>>;
}
export declare class DyteViewerCount {
    protected z: NgZone;
    protected el: HTMLDyteViewerCountElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteViewerCount, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteViewerCount, "dyte-viewer-count", never, { "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "t": { "alias": "t"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteViewerCount extends Components.DyteViewerCount {
}
export declare class DyteVirtualizedParticipantList {
    protected z: NgZone;
    protected el: HTMLDyteVirtualizedParticipantListElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteVirtualizedParticipantList, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteVirtualizedParticipantList, "dyte-virtualized-participant-list", never, { "bufferedItemsCount": { "alias": "bufferedItemsCount"; "required": false; }; "emptyListElement": { "alias": "emptyListElement"; "required": false; }; "itemHeight": { "alias": "itemHeight"; "required": false; }; "items": { "alias": "items"; "required": false; }; "renderItem": { "alias": "renderItem"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteVirtualizedParticipantList extends Components.DyteVirtualizedParticipantList {
}
export declare class DyteWaitingScreen {
    protected z: NgZone;
    protected el: HTMLDyteWaitingScreenElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<DyteWaitingScreen, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DyteWaitingScreen, "dyte-waiting-screen", never, { "config": { "alias": "config"; "required": false; }; "iconPack": { "alias": "iconPack"; "required": false; }; "meeting": { "alias": "meeting"; "required": false; }; "t": { "alias": "t"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface DyteWaitingScreen extends Components.DyteWaitingScreen {
}
