export * from '@dytesdk/ui-kit';
import * as i0 from '@angular/core';
import { ChangeDetectionStrategy, Component, APP_INITIALIZER, NgModule } from '@angular/core';
import { defineCustomElements } from '@dytesdk/ui-kit/loader';
import { __decorate } from 'tslib';
import { fromEvent } from 'rxjs';

/* eslint-disable */
/* tslint:disable */
const proxyInputs = (Cmp, inputs) => {
    const Prototype = Cmp.prototype;
    inputs.forEach((item) => {
        Object.defineProperty(Prototype, item, {
            get() {
                return this.el[item];
            },
            set(val) {
                this.z.runOutsideAngular(() => (this.el[item] = val));
            },
            /**
             * In the event that proxyInputs is called
             * multiple times re-defining these inputs
             * will cause an error to be thrown. As a result
             * we set configurable: true to indicate these
             * properties can be changed.
             */
            configurable: true,
        });
    });
};
const proxyMethods = (Cmp, methods) => {
    const Prototype = Cmp.prototype;
    methods.forEach((methodName) => {
        Prototype[methodName] = function () {
            const args = arguments;
            return this.z.runOutsideAngular(() => this.el[methodName].apply(this.el, args));
        };
    });
};
const proxyOutputs = (instance, el, events) => {
    events.forEach((eventName) => (instance[eventName] = fromEvent(el, eventName)));
};
const defineCustomElement = (tagName, customElement) => {
    if (customElement !== undefined && typeof customElements !== 'undefined' && !customElements.get(tagName)) {
        customElements.define(tagName, customElement);
    }
};
// tslint:disable-next-line: only-arrow-functions
function ProxyCmp(opts) {
    const decorator = function (cls) {
        const { defineCustomElementFn, inputs, methods } = opts;
        if (defineCustomElementFn !== undefined) {
            defineCustomElementFn();
        }
        if (inputs) {
            proxyInputs(cls, inputs);
        }
        if (methods) {
            proxyMethods(cls, methods);
        }
        return cls;
    };
    return decorator;
}

let DyteAi = class DyteAi {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteAi, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteAi, isStandalone: true, selector: "dyte-ai", inputs: { config: "config", iconPack: "iconPack", meeting: "meeting", size: "size", states: "states", t: "t", view: "view" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteAi = __decorate([
    ProxyCmp({
        inputs: ['config', 'iconPack', 'meeting', 'size', 'states', 't', 'view']
    })
], DyteAi);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteAi, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-ai',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['config', 'iconPack', 'meeting', 'size', 'states', 't', 'view'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteAiToggle = class DyteAiToggle {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteAiToggle, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteAiToggle, isStandalone: true, selector: "dyte-ai-toggle", inputs: { iconPack: "iconPack", meeting: "meeting", size: "size", states: "states", t: "t", variant: "variant" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteAiToggle = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'size', 'states', 't', 'variant']
    })
], DyteAiToggle);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteAiToggle, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-ai-toggle',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'size', 'states', 't', 'variant'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteAiTranscriptions = class DyteAiTranscriptions {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteAiTranscriptions, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteAiTranscriptions, isStandalone: true, selector: "dyte-ai-transcriptions", inputs: { initialTranscriptions: "initialTranscriptions", meeting: "meeting", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteAiTranscriptions = __decorate([
    ProxyCmp({
        inputs: ['initialTranscriptions', 'meeting', 't']
    })
], DyteAiTranscriptions);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteAiTranscriptions, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-ai-transcriptions',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['initialTranscriptions', 'meeting', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteAudioGrid = class DyteAudioGrid {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteAudioGrid, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteAudioGrid, isStandalone: true, selector: "dyte-audio-grid", inputs: { config: "config", hideSelf: "hideSelf", iconPack: "iconPack", meeting: "meeting", size: "size", states: "states", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteAudioGrid = __decorate([
    ProxyCmp({
        inputs: ['config', 'hideSelf', 'iconPack', 'meeting', 'size', 'states', 't']
    })
], DyteAudioGrid);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteAudioGrid, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-audio-grid',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['config', 'hideSelf', 'iconPack', 'meeting', 'size', 'states', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteAudioTile = class DyteAudioTile {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteAudioTile, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteAudioTile, isStandalone: true, selector: "dyte-audio-tile", inputs: { config: "config", iconPack: "iconPack", meeting: "meeting", participant: "participant", size: "size", states: "states", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteAudioTile = __decorate([
    ProxyCmp({
        inputs: ['config', 'iconPack', 'meeting', 'participant', 'size', 'states', 't']
    })
], DyteAudioTile);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteAudioTile, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-audio-tile',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['config', 'iconPack', 'meeting', 'participant', 'size', 'states', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteAudioVisualizer = class DyteAudioVisualizer {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteAudioVisualizer, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteAudioVisualizer, isStandalone: true, selector: "dyte-audio-visualizer", inputs: { hideMuted: "hideMuted", iconPack: "iconPack", isScreenShare: "isScreenShare", participant: "participant", size: "size", t: "t", variant: "variant" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteAudioVisualizer = __decorate([
    ProxyCmp({
        inputs: ['hideMuted', 'iconPack', 'isScreenShare', 'participant', 'size', 't', 'variant']
    })
], DyteAudioVisualizer);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteAudioVisualizer, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-audio-visualizer',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['hideMuted', 'iconPack', 'isScreenShare', 'participant', 'size', 't', 'variant'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteAvatar = class DyteAvatar {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteAvatar, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteAvatar, isStandalone: true, selector: "dyte-avatar", inputs: { iconPack: "iconPack", participant: "participant", size: "size", t: "t", variant: "variant" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteAvatar = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'participant', 'size', 't', 'variant']
    })
], DyteAvatar);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteAvatar, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-avatar',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'participant', 'size', 't', 'variant'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteBreakoutRoomManager = class DyteBreakoutRoomManager {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['participantsAdd', 'participantDelete', 'roomJoin', 'delete', 'update']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteBreakoutRoomManager, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteBreakoutRoomManager, isStandalone: true, selector: "dyte-breakout-room-manager", inputs: { allowDelete: "allowDelete", assigningParticipants: "assigningParticipants", defaultExpanded: "defaultExpanded", iconPack: "iconPack", isDragMode: "isDragMode", meeting: "meeting", mode: "mode", room: "room", states: "states", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteBreakoutRoomManager = __decorate([
    ProxyCmp({
        inputs: ['allowDelete', 'assigningParticipants', 'defaultExpanded', 'iconPack', 'isDragMode', 'meeting', 'mode', 'room', 'states', 't']
    })
], DyteBreakoutRoomManager);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteBreakoutRoomManager, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-breakout-room-manager',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['allowDelete', 'assigningParticipants', 'defaultExpanded', 'iconPack', 'isDragMode', 'meeting', 'mode', 'room', 'states', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteBreakoutRoomParticipants = class DyteBreakoutRoomParticipants {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['selectedParticipantsUpdate', 'allParticipantsToggleUpdate', 'participantsDragging']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteBreakoutRoomParticipants, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteBreakoutRoomParticipants, isStandalone: true, selector: "dyte-breakout-room-participants", inputs: { iconPack: "iconPack", meeting: "meeting", participantIds: "participantIds", selectedParticipantIds: "selectedParticipantIds", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteBreakoutRoomParticipants = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'participantIds', 'selectedParticipantIds', 't']
    })
], DyteBreakoutRoomParticipants);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteBreakoutRoomParticipants, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-breakout-room-participants',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'participantIds', 'selectedParticipantIds', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteBreakoutRoomsManager = class DyteBreakoutRoomsManager {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteBreakoutRoomsManager, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteBreakoutRoomsManager, isStandalone: true, selector: "dyte-breakout-rooms-manager", inputs: { iconPack: "iconPack", meeting: "meeting", states: "states", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteBreakoutRoomsManager = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'states', 't']
    })
], DyteBreakoutRoomsManager);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteBreakoutRoomsManager, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-breakout-rooms-manager',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'states', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteBreakoutRoomsToggle = class DyteBreakoutRoomsToggle {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteBreakoutRoomsToggle, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteBreakoutRoomsToggle, isStandalone: true, selector: "dyte-breakout-rooms-toggle", inputs: { iconPack: "iconPack", meeting: "meeting", size: "size", states: "states", t: "t", variant: "variant" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteBreakoutRoomsToggle = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'size', 'states', 't', 'variant']
    })
], DyteBreakoutRoomsToggle);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteBreakoutRoomsToggle, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-breakout-rooms-toggle',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'size', 'states', 't', 'variant'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteBroadcastMessageModal = class DyteBroadcastMessageModal {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteBroadcastMessageModal, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteBroadcastMessageModal, isStandalone: true, selector: "dyte-broadcast-message-modal", inputs: { iconPack: "iconPack", meeting: "meeting", states: "states", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteBroadcastMessageModal = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'states', 't']
    })
], DyteBroadcastMessageModal);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteBroadcastMessageModal, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-broadcast-message-modal',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'states', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteButton = class DyteButton {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteButton, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteButton, isStandalone: true, selector: "dyte-button", inputs: { disabled: "disabled", kind: "kind", reverse: "reverse", size: "size", type: "type", variant: "variant" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteButton = __decorate([
    ProxyCmp({
        inputs: ['disabled', 'kind', 'reverse', 'size', 'type', 'variant']
    })
], DyteButton);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteButton, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-button',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['disabled', 'kind', 'reverse', 'size', 'type', 'variant'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteCameraSelector = class DyteCameraSelector {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteCameraSelector, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteCameraSelector, isStandalone: true, selector: "dyte-camera-selector", inputs: { iconPack: "iconPack", meeting: "meeting", size: "size", t: "t", variant: "variant" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteCameraSelector = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'size', 't', 'variant']
    })
], DyteCameraSelector);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteCameraSelector, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-camera-selector',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'size', 't', 'variant'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteCameraToggle = class DyteCameraToggle {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteCameraToggle, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteCameraToggle, isStandalone: true, selector: "dyte-camera-toggle", inputs: { iconPack: "iconPack", meeting: "meeting", size: "size", t: "t", variant: "variant" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteCameraToggle = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'size', 't', 'variant']
    })
], DyteCameraToggle);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteCameraToggle, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-camera-toggle',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'size', 't', 'variant'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteCaptionToggle = class DyteCaptionToggle {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteCaptionToggle, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteCaptionToggle, isStandalone: true, selector: "dyte-caption-toggle", inputs: { config: "config", iconPack: "iconPack", meeting: "meeting", size: "size", states: "states", t: "t", variant: "variant" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteCaptionToggle = __decorate([
    ProxyCmp({
        inputs: ['config', 'iconPack', 'meeting', 'size', 'states', 't', 'variant']
    })
], DyteCaptionToggle);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteCaptionToggle, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-caption-toggle',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['config', 'iconPack', 'meeting', 'size', 'states', 't', 'variant'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteChannelCreator = class DyteChannelCreator {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate', 'switchChannel']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteChannelCreator, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteChannelCreator, isStandalone: true, selector: "dyte-channel-creator", inputs: { iconPack: "iconPack", meeting: "meeting", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteChannelCreator = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 't']
    })
], DyteChannelCreator);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteChannelCreator, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-channel-creator',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteChannelDetails = class DyteChannelDetails {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteChannelDetails, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteChannelDetails, isStandalone: true, selector: "dyte-channel-details", inputs: { channel: "channel", iconPack: "iconPack", members: "members", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteChannelDetails = __decorate([
    ProxyCmp({
        inputs: ['channel', 'iconPack', 'members', 't']
    })
], DyteChannelDetails);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteChannelDetails, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-channel-details',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['channel', 'iconPack', 'members', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteChannelHeader = class DyteChannelHeader {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['search', 'searchDismissed', 'back']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteChannelHeader, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteChannelHeader, isStandalone: true, selector: "dyte-channel-header", inputs: { channel: "channel", iconPack: "iconPack", meeting: "meeting", showBackButton: "showBackButton", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteChannelHeader = __decorate([
    ProxyCmp({
        inputs: ['channel', 'iconPack', 'meeting', 'showBackButton', 't']
    })
], DyteChannelHeader);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteChannelHeader, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-channel-header',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['channel', 'iconPack', 'meeting', 'showBackButton', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteChannelSelectorUi = class DyteChannelSelectorUi {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['channelChanged']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteChannelSelectorUi, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteChannelSelectorUi, isStandalone: true, selector: "dyte-channel-selector-ui", inputs: { channels: "channels", iconPack: "iconPack", selectedChannelId: "selectedChannelId", showRecentMessage: "showRecentMessage", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteChannelSelectorUi = __decorate([
    ProxyCmp({
        inputs: ['channels', 'iconPack', 'selectedChannelId', 'showRecentMessage', 't']
    })
], DyteChannelSelectorUi);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteChannelSelectorUi, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-channel-selector-ui',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['channels', 'iconPack', 'selectedChannelId', 'showRecentMessage', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteChannelSelectorView = class DyteChannelSelectorView {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['channelChange']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteChannelSelectorView, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteChannelSelectorView, isStandalone: true, selector: "dyte-channel-selector-view", inputs: { channels: "channels", disableSearch: "disableSearch", hideAvatar: "hideAvatar", iconPack: "iconPack", selectedChannelId: "selectedChannelId", t: "t", viewAs: "viewAs" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteChannelSelectorView = __decorate([
    ProxyCmp({
        inputs: ['channels', 'disableSearch', 'hideAvatar', 'iconPack', 'selectedChannelId', 't', 'viewAs']
    })
], DyteChannelSelectorView);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteChannelSelectorView, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-channel-selector-view',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['channels', 'disableSearch', 'hideAvatar', 'iconPack', 'selectedChannelId', 't', 'viewAs'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteChat = class DyteChat {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteChat, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteChat, isStandalone: true, selector: "dyte-chat", inputs: { config: "config", disablePrivateChat: "disablePrivateChat", displayFilter: "displayFilter", iconPack: "iconPack", meeting: "meeting", privatePresetFilter: "privatePresetFilter", size: "size", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteChat = __decorate([
    ProxyCmp({
        inputs: ['config', 'disablePrivateChat', 'displayFilter', 'iconPack', 'meeting', 'privatePresetFilter', 'size', 't']
    })
], DyteChat);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteChat, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-chat',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['config', 'disablePrivateChat', 'displayFilter', 'iconPack', 'meeting', 'privatePresetFilter', 'size', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteChatComposerUi = class DyteChatComposerUi {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteNewMessage', 'dyteEditMessage', 'dyteEditCancelled']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteChatComposerUi, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteChatComposerUi, isStandalone: true, selector: "dyte-chat-composer-ui", inputs: { canSendFiles: "canSendFiles", canSendTextMessage: "canSendTextMessage", channelId: "channelId", disableEmojiPicker: "disableEmojiPicker", iconPack: "iconPack", members: "members", prefill: "prefill", size: "size", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteChatComposerUi = __decorate([
    ProxyCmp({
        inputs: ['canSendFiles', 'canSendTextMessage', 'channelId', 'disableEmojiPicker', 'iconPack', 'members', 'prefill', 'size', 't']
    })
], DyteChatComposerUi);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteChatComposerUi, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-chat-composer-ui',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['canSendFiles', 'canSendTextMessage', 'channelId', 'disableEmojiPicker', 'iconPack', 'members', 'prefill', 'size', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteChatComposerView = class DyteChatComposerView {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['newMessage', 'editMessage', 'editCancel', 'quotedMessageDismiss']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteChatComposerView, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteChatComposerView, isStandalone: true, selector: "dyte-chat-composer-view", inputs: { canSendFiles: "canSendFiles", canSendTextMessage: "canSendTextMessage", disableEmojiPicker: "disableEmojiPicker", iconPack: "iconPack", inputTextPlaceholder: "inputTextPlaceholder", isEditing: "isEditing", maxLength: "maxLength", message: "message", quotedMessage: "quotedMessage", rateLimits: "rateLimits", storageKey: "storageKey", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteChatComposerView = __decorate([
    ProxyCmp({
        inputs: ['canSendFiles', 'canSendTextMessage', 'disableEmojiPicker', 'iconPack', 'inputTextPlaceholder', 'isEditing', 'maxLength', 'message', 'quotedMessage', 'rateLimits', 'storageKey', 't']
    })
], DyteChatComposerView);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteChatComposerView, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-chat-composer-view',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['canSendFiles', 'canSendTextMessage', 'disableEmojiPicker', 'iconPack', 'inputTextPlaceholder', 'isEditing', 'maxLength', 'message', 'quotedMessage', 'rateLimits', 'storageKey', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteChatMessage = class DyteChatMessage {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['edit', 'reply', 'pin', 'delete']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteChatMessage, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteChatMessage, isStandalone: true, selector: "dyte-chat-message", inputs: { alignRight: "alignRight", canDelete: "canDelete", canEdit: "canEdit", canPin: "canPin", canReply: "canReply", child: "child", disableControls: "disableControls", hideAvatar: "hideAvatar", iconPack: "iconPack", isContinued: "isContinued", isSelf: "isSelf", isUnread: "isUnread", leftAlign: "leftAlign", message: "message", senderDisplayPicture: "senderDisplayPicture", size: "size", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteChatMessage = __decorate([
    ProxyCmp({
        inputs: ['alignRight', 'canDelete', 'canEdit', 'canPin', 'canReply', 'child', 'disableControls', 'hideAvatar', 'iconPack', 'isContinued', 'isSelf', 'isUnread', 'leftAlign', 'message', 'senderDisplayPicture', 'size', 't']
    })
], DyteChatMessage);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteChatMessage, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-chat-message',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['alignRight', 'canDelete', 'canEdit', 'canPin', 'canReply', 'child', 'disableControls', 'hideAvatar', 'iconPack', 'isContinued', 'isSelf', 'isUnread', 'leftAlign', 'message', 'senderDisplayPicture', 'size', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteChatMessagesUi = class DyteChatMessagesUi {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['pinMessage', 'dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteChatMessagesUi, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteChatMessagesUi, isStandalone: true, selector: "dyte-chat-messages-ui", inputs: { canPinMessages: "canPinMessages", iconPack: "iconPack", messages: "messages", selectedGroup: "selectedGroup", selfUserId: "selfUserId", size: "size", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteChatMessagesUi = __decorate([
    ProxyCmp({
        inputs: ['canPinMessages', 'iconPack', 'messages', 'selectedGroup', 'selfUserId', 'size', 't']
    })
], DyteChatMessagesUi);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteChatMessagesUi, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-chat-messages-ui',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['canPinMessages', 'iconPack', 'messages', 'selectedGroup', 'selfUserId', 'size', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteChatMessagesUiPaginated = class DyteChatMessagesUiPaginated {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['editMessageInit', 'pinMessage', 'deleteMessage', 'dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteChatMessagesUiPaginated, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteChatMessagesUiPaginated, isStandalone: true, selector: "dyte-chat-messages-ui-paginated", inputs: { iconPack: "iconPack", leftAlign: "leftAlign", meeting: "meeting", selectedChannel: "selectedChannel", selectedChannelId: "selectedChannelId", size: "size", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteChatMessagesUiPaginated = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'leftAlign', 'meeting', 'selectedChannel', 'selectedChannelId', 'size', 't']
    })
], DyteChatMessagesUiPaginated);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteChatMessagesUiPaginated, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-chat-messages-ui-paginated',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'leftAlign', 'meeting', 'selectedChannel', 'selectedChannelId', 'size', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteChatSearchResults = class DyteChatSearchResults {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteChatSearchResults, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteChatSearchResults, isStandalone: true, selector: "dyte-chat-search-results", inputs: { channelId: "channelId", iconPack: "iconPack", meeting: "meeting", query: "query", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteChatSearchResults = __decorate([
    ProxyCmp({
        inputs: ['channelId', 'iconPack', 'meeting', 'query', 't']
    })
], DyteChatSearchResults);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteChatSearchResults, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-chat-search-results',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['channelId', 'iconPack', 'meeting', 'query', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteChatSelectorUi = class DyteChatSelectorUi {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteChatGroupChanged']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteChatSelectorUi, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteChatSelectorUi, isStandalone: true, selector: "dyte-chat-selector-ui", inputs: { groups: "groups", iconPack: "iconPack", selectedGroupId: "selectedGroupId", selfUserId: "selfUserId", t: "t", unreadCounts: "unreadCounts" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteChatSelectorUi = __decorate([
    ProxyCmp({
        inputs: ['groups', 'iconPack', 'selectedGroupId', 'selfUserId', 't', 'unreadCounts']
    })
], DyteChatSelectorUi);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteChatSelectorUi, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-chat-selector-ui',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['groups', 'iconPack', 'selectedGroupId', 'selfUserId', 't', 'unreadCounts'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteChatToggle = class DyteChatToggle {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteChatToggle, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteChatToggle, isStandalone: true, selector: "dyte-chat-toggle", inputs: { iconPack: "iconPack", meeting: "meeting", size: "size", states: "states", t: "t", variant: "variant" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteChatToggle = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'size', 'states', 't', 'variant']
    })
], DyteChatToggle);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteChatToggle, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-chat-toggle',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'size', 'states', 't', 'variant'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteClock = class DyteClock {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteClock, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteClock, isStandalone: true, selector: "dyte-clock", inputs: { iconPack: "iconPack", meeting: "meeting" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteClock = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting']
    })
], DyteClock);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteClock, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-clock',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteConfirmationModal = class DyteConfirmationModal {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteConfirmationModal, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteConfirmationModal, isStandalone: true, selector: "dyte-confirmation-modal", inputs: { iconPack: "iconPack", meeting: "meeting", states: "states", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteConfirmationModal = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'states', 't']
    })
], DyteConfirmationModal);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteConfirmationModal, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-confirmation-modal',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'states', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteControlbar = class DyteControlbar {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteControlbar, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteControlbar, isStandalone: true, selector: "dyte-controlbar", inputs: { config: "config", disableRender: "disableRender", iconPack: "iconPack", meeting: "meeting", size: "size", states: "states", t: "t", variant: "variant" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteControlbar = __decorate([
    ProxyCmp({
        inputs: ['config', 'disableRender', 'iconPack', 'meeting', 'size', 'states', 't', 'variant']
    })
], DyteControlbar);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteControlbar, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-controlbar',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['config', 'disableRender', 'iconPack', 'meeting', 'size', 'states', 't', 'variant'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteControlbarButton = class DyteControlbarButton {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteControlbarButton, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteControlbarButton, isStandalone: true, selector: "dyte-controlbar-button", inputs: { brandIcon: "brandIcon", disabled: "disabled", icon: "icon", iconPack: "iconPack", isLoading: "isLoading", label: "label", showWarning: "showWarning", size: "size", variant: "variant" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteControlbarButton = __decorate([
    ProxyCmp({
        inputs: ['brandIcon', 'disabled', 'icon', 'iconPack', 'isLoading', 'label', 'showWarning', 'size', 'variant']
    })
], DyteControlbarButton);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteControlbarButton, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-controlbar-button',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['brandIcon', 'disabled', 'icon', 'iconPack', 'isLoading', 'label', 'showWarning', 'size', 'variant'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteCounter = class DyteCounter {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['valueChange']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteCounter, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteCounter, isStandalone: true, selector: "dyte-counter", inputs: { iconPack: "iconPack", minValue: "minValue", size: "size", t: "t", value: "value" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteCounter = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'minValue', 'size', 't', 'value']
    })
], DyteCounter);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteCounter, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-counter',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'minValue', 'size', 't', 'value'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteDebugger = class DyteDebugger {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteDebugger, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteDebugger, isStandalone: true, selector: "dyte-debugger", inputs: { iconPack: "iconPack", meeting: "meeting", size: "size", states: "states", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteDebugger = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'size', 'states', 't']
    })
], DyteDebugger);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteDebugger, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-debugger',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'size', 'states', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteDebuggerAudio = class DyteDebuggerAudio {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteDebuggerAudio, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteDebuggerAudio, isStandalone: true, selector: "dyte-debugger-audio", inputs: { iconPack: "iconPack", meeting: "meeting", size: "size", states: "states", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteDebuggerAudio = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'size', 'states', 't']
    })
], DyteDebuggerAudio);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteDebuggerAudio, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-debugger-audio',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'size', 'states', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteDebuggerScreenshare = class DyteDebuggerScreenshare {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteDebuggerScreenshare, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteDebuggerScreenshare, isStandalone: true, selector: "dyte-debugger-screenshare", inputs: { iconPack: "iconPack", meeting: "meeting", size: "size", states: "states", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteDebuggerScreenshare = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'size', 'states', 't']
    })
], DyteDebuggerScreenshare);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteDebuggerScreenshare, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-debugger-screenshare',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'size', 'states', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteDebuggerSystem = class DyteDebuggerSystem {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteDebuggerSystem, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteDebuggerSystem, isStandalone: true, selector: "dyte-debugger-system", inputs: { iconPack: "iconPack", meeting: "meeting", size: "size", states: "states", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteDebuggerSystem = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'size', 'states', 't']
    })
], DyteDebuggerSystem);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteDebuggerSystem, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-debugger-system',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'size', 'states', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteDebuggerToggle = class DyteDebuggerToggle {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteDebuggerToggle, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteDebuggerToggle, isStandalone: true, selector: "dyte-debugger-toggle", inputs: { iconPack: "iconPack", meeting: "meeting", size: "size", states: "states", t: "t", variant: "variant" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteDebuggerToggle = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'size', 'states', 't', 'variant']
    })
], DyteDebuggerToggle);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteDebuggerToggle, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-debugger-toggle',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'size', 'states', 't', 'variant'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteDebuggerVideo = class DyteDebuggerVideo {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteDebuggerVideo, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteDebuggerVideo, isStandalone: true, selector: "dyte-debugger-video", inputs: { iconPack: "iconPack", meeting: "meeting", size: "size", states: "states", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteDebuggerVideo = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'size', 'states', 't']
    })
], DyteDebuggerVideo);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteDebuggerVideo, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-debugger-video',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'size', 'states', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteDialog = class DyteDialog {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteDialogClose']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteDialog, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteDialog, isStandalone: true, selector: "dyte-dialog", inputs: { config: "config", disableEscapeKey: "disableEscapeKey", hideCloseButton: "hideCloseButton", iconPack: "iconPack", meeting: "meeting", open: "open", size: "size", states: "states", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteDialog = __decorate([
    ProxyCmp({
        inputs: ['config', 'disableEscapeKey', 'hideCloseButton', 'iconPack', 'meeting', 'open', 'size', 'states', 't']
    })
], DyteDialog);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteDialog, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-dialog',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['config', 'disableEscapeKey', 'hideCloseButton', 'iconPack', 'meeting', 'open', 'size', 'states', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteDialogManager = class DyteDialogManager {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteDialogManager, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteDialogManager, isStandalone: true, selector: "dyte-dialog-manager", inputs: { config: "config", iconPack: "iconPack", meeting: "meeting", size: "size", states: "states", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteDialogManager = __decorate([
    ProxyCmp({
        inputs: ['config', 'iconPack', 'meeting', 'size', 'states', 't']
    })
], DyteDialogManager);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteDialogManager, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-dialog-manager',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['config', 'iconPack', 'meeting', 'size', 'states', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteDraftAttachmentView = class DyteDraftAttachmentView {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['deleteAttachment']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteDraftAttachmentView, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteDraftAttachmentView, isStandalone: true, selector: "dyte-draft-attachment-view", inputs: { attachment: "attachment", iconPack: "iconPack", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteDraftAttachmentView = __decorate([
    ProxyCmp({
        inputs: ['attachment', 'iconPack', 't']
    })
], DyteDraftAttachmentView);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteDraftAttachmentView, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-draft-attachment-view',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['attachment', 'iconPack', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteEmojiPicker = class DyteEmojiPicker {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['pickerClose', 'dyteEmojiClicked']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteEmojiPicker, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteEmojiPicker, isStandalone: true, selector: "dyte-emoji-picker", inputs: { focusWhenOpened: "focusWhenOpened", iconPack: "iconPack", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteEmojiPicker = __decorate([
    ProxyCmp({
        inputs: ['focusWhenOpened', 'iconPack', 't']
    })
], DyteEmojiPicker);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteEmojiPicker, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-emoji-picker',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['focusWhenOpened', 'iconPack', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteEmojiPickerButton = class DyteEmojiPickerButton {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteEmojiPickerButton, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteEmojiPickerButton, isStandalone: true, selector: "dyte-emoji-picker-button", inputs: { iconPack: "iconPack", isActive: "isActive", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteEmojiPickerButton = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'isActive', 't']
    })
], DyteEmojiPickerButton);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteEmojiPickerButton, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-emoji-picker-button',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'isActive', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteEndedScreen = class DyteEndedScreen {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteEndedScreen, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteEndedScreen, isStandalone: true, selector: "dyte-ended-screen", inputs: { config: "config", iconPack: "iconPack", meeting: "meeting", size: "size", states: "states", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteEndedScreen = __decorate([
    ProxyCmp({
        inputs: ['config', 'iconPack', 'meeting', 'size', 'states', 't']
    })
], DyteEndedScreen);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteEndedScreen, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-ended-screen',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['config', 'iconPack', 'meeting', 'size', 'states', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteFileDropzone = class DyteFileDropzone {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dropCallback']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteFileDropzone, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteFileDropzone, isStandalone: true, selector: "dyte-file-dropzone", inputs: { hostEl: "hostEl", iconPack: "iconPack", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteFileDropzone = __decorate([
    ProxyCmp({
        inputs: ['hostEl', 'iconPack', 't']
    })
], DyteFileDropzone);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteFileDropzone, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-file-dropzone',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['hostEl', 'iconPack', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteFileMessage = class DyteFileMessage {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteFileMessage, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteFileMessage, isStandalone: true, selector: "dyte-file-message", inputs: { iconPack: "iconPack", isContinued: "isContinued", message: "message", now: "now", showBubble: "showBubble", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteFileMessage = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'isContinued', 'message', 'now', 'showBubble', 't']
    })
], DyteFileMessage);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteFileMessage, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-file-message',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'isContinued', 'message', 'now', 'showBubble', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteFileMessageView = class DyteFileMessageView {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteFileMessageView, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteFileMessageView, isStandalone: true, selector: "dyte-file-message-view", inputs: { iconPack: "iconPack", name: "name", size: "size", url: "url" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteFileMessageView = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'name', 'size', 'url']
    })
], DyteFileMessageView);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteFileMessageView, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-file-message-view',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'name', 'size', 'url'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteFilePickerButton = class DyteFilePickerButton {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['fileChange']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteFilePickerButton, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteFilePickerButton, isStandalone: true, selector: "dyte-file-picker-button", inputs: { filter: "filter", icon: "icon", iconPack: "iconPack", label: "label", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteFilePickerButton = __decorate([
    ProxyCmp({
        inputs: ['filter', 'icon', 'iconPack', 'label', 't']
    })
], DyteFilePickerButton);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteFilePickerButton, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-file-picker-button',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['filter', 'icon', 'iconPack', 'label', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteFullscreenToggle = class DyteFullscreenToggle {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteFullscreenToggle, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteFullscreenToggle, isStandalone: true, selector: "dyte-fullscreen-toggle", inputs: { iconPack: "iconPack", size: "size", states: "states", t: "t", targetElement: "targetElement", variant: "variant" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteFullscreenToggle = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'size', 'states', 't', 'targetElement', 'variant']
    })
], DyteFullscreenToggle);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteFullscreenToggle, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-fullscreen-toggle',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'size', 'states', 't', 'targetElement', 'variant'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteGrid = class DyteGrid {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteGrid, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteGrid, isStandalone: true, selector: "dyte-grid", inputs: { aspectRatio: "aspectRatio", config: "config", gap: "gap", gridSize: "gridSize", iconPack: "iconPack", layout: "layout", meeting: "meeting", overrides: "overrides", size: "size", states: "states", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteGrid = __decorate([
    ProxyCmp({
        inputs: ['aspectRatio', 'config', 'gap', 'gridSize', 'iconPack', 'layout', 'meeting', 'overrides', 'size', 'states', 't']
    })
], DyteGrid);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteGrid, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-grid',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['aspectRatio', 'config', 'gap', 'gridSize', 'iconPack', 'layout', 'meeting', 'overrides', 'size', 'states', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteGridPagination = class DyteGridPagination {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteGridPagination, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteGridPagination, isStandalone: true, selector: "dyte-grid-pagination", inputs: { iconPack: "iconPack", meeting: "meeting", size: "size", states: "states", t: "t", variant: "variant" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteGridPagination = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'size', 'states', 't', 'variant']
    })
], DyteGridPagination);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteGridPagination, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-grid-pagination',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'size', 'states', 't', 'variant'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteHeader = class DyteHeader {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteHeader, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteHeader, isStandalone: true, selector: "dyte-header", inputs: { config: "config", disableRender: "disableRender", iconPack: "iconPack", meeting: "meeting", size: "size", states: "states", t: "t", variant: "variant" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteHeader = __decorate([
    ProxyCmp({
        inputs: ['config', 'disableRender', 'iconPack', 'meeting', 'size', 'states', 't', 'variant']
    })
], DyteHeader);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteHeader, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-header',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['config', 'disableRender', 'iconPack', 'meeting', 'size', 'states', 't', 'variant'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteIcon = class DyteIcon {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteIcon, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteIcon, isStandalone: true, selector: "dyte-icon", inputs: { icon: "icon", size: "size", variant: "variant" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteIcon = __decorate([
    ProxyCmp({
        inputs: ['icon', 'size', 'variant']
    })
], DyteIcon);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteIcon, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-icon',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['icon', 'size', 'variant'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteIdleScreen = class DyteIdleScreen {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteIdleScreen, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteIdleScreen, isStandalone: true, selector: "dyte-idle-screen", inputs: { config: "config", iconPack: "iconPack", meeting: "meeting", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteIdleScreen = __decorate([
    ProxyCmp({
        inputs: ['config', 'iconPack', 'meeting', 't']
    })
], DyteIdleScreen);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteIdleScreen, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-idle-screen',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['config', 'iconPack', 'meeting', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteImageMessage = class DyteImageMessage {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteImageMessage, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteImageMessage, isStandalone: true, selector: "dyte-image-message", inputs: { iconPack: "iconPack", isContinued: "isContinued", message: "message", now: "now", showBubble: "showBubble", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteImageMessage = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'isContinued', 'message', 'now', 'showBubble', 't']
    })
], DyteImageMessage);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteImageMessage, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-image-message',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'isContinued', 'message', 'now', 'showBubble', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteImageMessageView = class DyteImageMessageView {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['preview']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteImageMessageView, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteImageMessageView, isStandalone: true, selector: "dyte-image-message-view", inputs: { iconPack: "iconPack", t: "t", url: "url" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteImageMessageView = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 't', 'url']
    })
], DyteImageMessageView);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteImageMessageView, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-image-message-view',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 't', 'url'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteImageViewer = class DyteImageViewer {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['close']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteImageViewer, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteImageViewer, isStandalone: true, selector: "dyte-image-viewer", inputs: { iconPack: "iconPack", image: "image", size: "size", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteImageViewer = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'image', 'size', 't']
    })
], DyteImageViewer);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteImageViewer, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-image-viewer',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'image', 'size', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteInformationTooltip = class DyteInformationTooltip {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteInformationTooltip, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteInformationTooltip, isStandalone: true, selector: "dyte-information-tooltip", inputs: { iconPack: "iconPack" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteInformationTooltip = __decorate([
    ProxyCmp({
        inputs: ['iconPack']
    })
], DyteInformationTooltip);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteInformationTooltip, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-information-tooltip',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteJoinStage = class DyteJoinStage {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate', 'dyteJoinStage', 'dyteLeaveStage']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteJoinStage, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteJoinStage, isStandalone: true, selector: "dyte-join-stage", inputs: { config: "config", dataConfig: "dataConfig", iconPack: "iconPack", meeting: "meeting", size: "size", states: "states", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteJoinStage = __decorate([
    ProxyCmp({
        inputs: ['config', 'dataConfig', 'iconPack', 'meeting', 'size', 'states', 't']
    })
], DyteJoinStage);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteJoinStage, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-join-stage',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['config', 'dataConfig', 'iconPack', 'meeting', 'size', 'states', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteLeaveButton = class DyteLeaveButton {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteLeaveButton, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteLeaveButton, isStandalone: true, selector: "dyte-leave-button", inputs: { iconPack: "iconPack", size: "size", t: "t", variant: "variant" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteLeaveButton = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'size', 't', 'variant']
    })
], DyteLeaveButton);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteLeaveButton, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-leave-button',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'size', 't', 'variant'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteLeaveMeeting = class DyteLeaveMeeting {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteLeaveMeeting, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteLeaveMeeting, isStandalone: true, selector: "dyte-leave-meeting", inputs: { iconPack: "iconPack", meeting: "meeting", states: "states", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteLeaveMeeting = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'states', 't']
    })
], DyteLeaveMeeting);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteLeaveMeeting, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-leave-meeting',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'states', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteLivestreamIndicator = class DyteLivestreamIndicator {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteLivestreamIndicator, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteLivestreamIndicator, isStandalone: true, selector: "dyte-livestream-indicator", inputs: { iconPack: "iconPack", meeting: "meeting", size: "size", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteLivestreamIndicator = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'size', 't']
    })
], DyteLivestreamIndicator);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteLivestreamIndicator, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-livestream-indicator',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'size', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteLivestreamPlayer = class DyteLivestreamPlayer {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteAPIError']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteLivestreamPlayer, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteLivestreamPlayer, isStandalone: true, selector: "dyte-livestream-player", inputs: { iconPack: "iconPack", meeting: "meeting", size: "size", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteLivestreamPlayer = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'size', 't']
    })
], DyteLivestreamPlayer);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteLivestreamPlayer, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-livestream-player',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'size', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteLivestreamToggle = class DyteLivestreamToggle {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate', 'dyteAPIError']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteLivestreamToggle, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteLivestreamToggle, isStandalone: true, selector: "dyte-livestream-toggle", inputs: { iconPack: "iconPack", meeting: "meeting", size: "size", t: "t", variant: "variant" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteLivestreamToggle = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'size', 't', 'variant']
    })
], DyteLivestreamToggle);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteLivestreamToggle, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-livestream-toggle',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'size', 't', 'variant'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteLogo = class DyteLogo {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteLogo, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteLogo, isStandalone: true, selector: "dyte-logo", inputs: { config: "config", logoUrl: "logoUrl", meeting: "meeting", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteLogo = __decorate([
    ProxyCmp({
        inputs: ['config', 'logoUrl', 'meeting', 't']
    })
], DyteLogo);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteLogo, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-logo',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['config', 'logoUrl', 'meeting', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteMarkdownView = class DyteMarkdownView {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteMarkdownView, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteMarkdownView, isStandalone: true, selector: "dyte-markdown-view", inputs: { maxLength: "maxLength", text: "text" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteMarkdownView = __decorate([
    ProxyCmp({
        inputs: ['maxLength', 'text']
    })
], DyteMarkdownView);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteMarkdownView, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-markdown-view',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['maxLength', 'text'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteMeeting = class DyteMeeting {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStatesUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteMeeting, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteMeeting, isStandalone: true, selector: "dyte-meeting", inputs: { applyDesignSystem: "applyDesignSystem", config: "config", gridLayout: "gridLayout", iconPack: "iconPack", leaveOnUnmount: "leaveOnUnmount", loadConfigFromPreset: "loadConfigFromPreset", meeting: "meeting", mode: "mode", showSetupScreen: "showSetupScreen", size: "size", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteMeeting = __decorate([
    ProxyCmp({
        inputs: ['applyDesignSystem', 'config', 'gridLayout', 'iconPack', 'leaveOnUnmount', 'loadConfigFromPreset', 'meeting', 'mode', 'showSetupScreen', 'size', 't']
    })
], DyteMeeting);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteMeeting, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-meeting',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['applyDesignSystem', 'config', 'gridLayout', 'iconPack', 'leaveOnUnmount', 'loadConfigFromPreset', 'meeting', 'mode', 'showSetupScreen', 'size', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteMeetingTitle = class DyteMeetingTitle {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteMeetingTitle, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteMeetingTitle, isStandalone: true, selector: "dyte-meeting-title", inputs: { iconPack: "iconPack", meeting: "meeting", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteMeetingTitle = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 't']
    })
], DyteMeetingTitle);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteMeetingTitle, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-meeting-title',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteMenu = class DyteMenu {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteMenu, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteMenu, isStandalone: true, selector: "dyte-menu", inputs: { iconPack: "iconPack", offset: "offset", placement: "placement", size: "size", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteMenu = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'offset', 'placement', 'size', 't']
    })
], DyteMenu);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteMenu, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-menu',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'offset', 'placement', 'size', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteMenuItem = class DyteMenuItem {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteMenuItem, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteMenuItem, isStandalone: true, selector: "dyte-menu-item", inputs: { iconPack: "iconPack", size: "size", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteMenuItem = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'size', 't']
    })
], DyteMenuItem);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteMenuItem, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-menu-item',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'size', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteMenuList = class DyteMenuList {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteMenuList, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteMenuList, isStandalone: true, selector: "dyte-menu-list", inputs: { iconPack: "iconPack", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteMenuList = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 't']
    })
], DyteMenuList);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteMenuList, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-menu-list',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteMessageListView = class DyteMessageListView {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteMessageListView, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteMessageListView, isStandalone: true, selector: "dyte-message-list-view", inputs: { estimateItemSize: "estimateItemSize", iconPack: "iconPack", loadMore: "loadMore", messages: "messages", renderer: "renderer", visibleItemsCount: "visibleItemsCount" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteMessageListView = __decorate([
    ProxyCmp({
        inputs: ['estimateItemSize', 'iconPack', 'loadMore', 'messages', 'renderer', 'visibleItemsCount']
    })
], DyteMessageListView);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteMessageListView, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-message-list-view',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['estimateItemSize', 'iconPack', 'loadMore', 'messages', 'renderer', 'visibleItemsCount'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteMessageView = class DyteMessageView {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['action']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteMessageView, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteMessageView, isStandalone: true, selector: "dyte-message-view", inputs: { actions: "actions", authorName: "authorName", avatarUrl: "avatarUrl", hideAuthorName: "hideAuthorName", hideAvatar: "hideAvatar", hideMetadata: "hideMetadata", iconPack: "iconPack", time: "time", variant: "variant", viewType: "viewType" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteMessageView = __decorate([
    ProxyCmp({
        inputs: ['actions', 'authorName', 'avatarUrl', 'hideAuthorName', 'hideAvatar', 'hideMetadata', 'iconPack', 'time', 'variant', 'viewType']
    })
], DyteMessageView);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteMessageView, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-message-view',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['actions', 'authorName', 'avatarUrl', 'hideAuthorName', 'hideAvatar', 'hideMetadata', 'iconPack', 'time', 'variant', 'viewType'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteMicToggle = class DyteMicToggle {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteMicToggle, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteMicToggle, isStandalone: true, selector: "dyte-mic-toggle", inputs: { iconPack: "iconPack", meeting: "meeting", size: "size", t: "t", variant: "variant" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteMicToggle = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'size', 't', 'variant']
    })
], DyteMicToggle);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteMicToggle, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-mic-toggle',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'size', 't', 'variant'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteMicrophoneSelector = class DyteMicrophoneSelector {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteMicrophoneSelector, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteMicrophoneSelector, isStandalone: true, selector: "dyte-microphone-selector", inputs: { iconPack: "iconPack", meeting: "meeting", size: "size", t: "t", variant: "variant" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteMicrophoneSelector = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'size', 't', 'variant']
    })
], DyteMicrophoneSelector);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteMicrophoneSelector, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-microphone-selector',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'size', 't', 'variant'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteMixedGrid = class DyteMixedGrid {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteMixedGrid, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteMixedGrid, isStandalone: true, selector: "dyte-mixed-grid", inputs: { aspectRatio: "aspectRatio", config: "config", gap: "gap", gridSize: "gridSize", iconPack: "iconPack", layout: "layout", meeting: "meeting", participants: "participants", pinnedParticipants: "pinnedParticipants", plugins: "plugins", screenShareParticipants: "screenShareParticipants", size: "size", states: "states", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteMixedGrid = __decorate([
    ProxyCmp({
        inputs: ['aspectRatio', 'config', 'gap', 'gridSize', 'iconPack', 'layout', 'meeting', 'participants', 'pinnedParticipants', 'plugins', 'screenShareParticipants', 'size', 'states', 't']
    })
], DyteMixedGrid);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteMixedGrid, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-mixed-grid',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['aspectRatio', 'config', 'gap', 'gridSize', 'iconPack', 'layout', 'meeting', 'participants', 'pinnedParticipants', 'plugins', 'screenShareParticipants', 'size', 'states', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteMoreToggle = class DyteMoreToggle {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteMoreToggle, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteMoreToggle, isStandalone: true, selector: "dyte-more-toggle", inputs: { iconPack: "iconPack", size: "size", states: "states", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteMoreToggle = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'size', 'states', 't']
    })
], DyteMoreToggle);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteMoreToggle, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-more-toggle',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'size', 'states', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteMuteAllButton = class DyteMuteAllButton {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteMuteAllButton, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteMuteAllButton, isStandalone: true, selector: "dyte-mute-all-button", inputs: { iconPack: "iconPack", meeting: "meeting", size: "size", t: "t", variant: "variant" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteMuteAllButton = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'size', 't', 'variant']
    })
], DyteMuteAllButton);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteMuteAllButton, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-mute-all-button',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'size', 't', 'variant'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteMuteAllConfirmation = class DyteMuteAllConfirmation {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteMuteAllConfirmation, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteMuteAllConfirmation, isStandalone: true, selector: "dyte-mute-all-confirmation", inputs: { iconPack: "iconPack", meeting: "meeting", states: "states", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteMuteAllConfirmation = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'states', 't']
    })
], DyteMuteAllConfirmation);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteMuteAllConfirmation, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-mute-all-confirmation',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'states', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteNameTag = class DyteNameTag {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteNameTag, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteNameTag, isStandalone: true, selector: "dyte-name-tag", inputs: { iconPack: "iconPack", isScreenShare: "isScreenShare", meeting: "meeting", participant: "participant", size: "size", t: "t", variant: "variant" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteNameTag = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'isScreenShare', 'meeting', 'participant', 'size', 't', 'variant']
    })
], DyteNameTag);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteNameTag, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-name-tag',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'isScreenShare', 'meeting', 'participant', 'size', 't', 'variant'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteNetworkIndicator = class DyteNetworkIndicator {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteNetworkIndicator, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteNetworkIndicator, isStandalone: true, selector: "dyte-network-indicator", inputs: { iconPack: "iconPack", isScreenShare: "isScreenShare", meeting: "meeting", participant: "participant", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteNetworkIndicator = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'isScreenShare', 'meeting', 'participant', 't']
    })
], DyteNetworkIndicator);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteNetworkIndicator, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-network-indicator',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'isScreenShare', 'meeting', 'participant', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteNotification = class DyteNotification {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteNotificationDismiss']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteNotification, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteNotification, isStandalone: true, selector: "dyte-notification", inputs: { iconPack: "iconPack", notification: "notification", size: "size", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteNotification = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'notification', 'size', 't']
    })
], DyteNotification);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteNotification, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-notification',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'notification', 'size', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteNotifications = class DyteNotifications {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteNotifications, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteNotifications, isStandalone: true, selector: "dyte-notifications", inputs: { config: "config", iconPack: "iconPack", meeting: "meeting", size: "size", states: "states", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteNotifications = __decorate([
    ProxyCmp({
        inputs: ['config', 'iconPack', 'meeting', 'size', 'states', 't']
    })
], DyteNotifications);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteNotifications, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-notifications',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['config', 'iconPack', 'meeting', 'size', 'states', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteOverlayModal = class DyteOverlayModal {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteOverlayModal, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteOverlayModal, isStandalone: true, selector: "dyte-overlay-modal", inputs: { iconPack: "iconPack", meeting: "meeting", states: "states", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteOverlayModal = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'states', 't']
    })
], DyteOverlayModal);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteOverlayModal, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-overlay-modal',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'states', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DytePaginatedList = class DytePaginatedList {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DytePaginatedList, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DytePaginatedList, isStandalone: true, selector: "dyte-paginated-list", inputs: { autoScroll: "autoScroll", createNodes: "createNodes", emptyListLabel: "emptyListLabel", fetchData: "fetchData", iconPack: "iconPack", pageSize: "pageSize", pagesAllowed: "pagesAllowed", selectedItemId: "selectedItemId", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DytePaginatedList = __decorate([
    ProxyCmp({
        inputs: ['autoScroll', 'createNodes', 'emptyListLabel', 'fetchData', 'iconPack', 'pageSize', 'pagesAllowed', 'selectedItemId', 't'],
        methods: ['onNewNode', 'onNodeDelete', 'onNodeUpdate']
    })
], DytePaginatedList);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DytePaginatedList, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-paginated-list',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['autoScroll', 'createNodes', 'emptyListLabel', 'fetchData', 'iconPack', 'pageSize', 'pagesAllowed', 'selectedItemId', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteParticipant = class DyteParticipant {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteSendNotification']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteParticipant, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteParticipant, isStandalone: true, selector: "dyte-participant", inputs: { config: "config", iconPack: "iconPack", meeting: "meeting", participant: "participant", states: "states", t: "t", view: "view" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteParticipant = __decorate([
    ProxyCmp({
        inputs: ['config', 'iconPack', 'meeting', 'participant', 'states', 't', 'view']
    })
], DyteParticipant);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteParticipant, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-participant',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['config', 'iconPack', 'meeting', 'participant', 'states', 't', 'view'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteParticipantCount = class DyteParticipantCount {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteParticipantCount, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteParticipantCount, isStandalone: true, selector: "dyte-participant-count", inputs: { iconPack: "iconPack", meeting: "meeting", size: "size", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteParticipantCount = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'size', 't']
    })
], DyteParticipantCount);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteParticipantCount, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-participant-count',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'size', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteParticipantSetup = class DyteParticipantSetup {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteParticipantSetup, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteParticipantSetup, isStandalone: true, selector: "dyte-participant-setup", inputs: { config: "config", iconPack: "iconPack", isPreview: "isPreview", nameTagPosition: "nameTagPosition", participant: "participant", size: "size", states: "states", t: "t", variant: "variant" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteParticipantSetup = __decorate([
    ProxyCmp({
        inputs: ['config', 'iconPack', 'isPreview', 'nameTagPosition', 'participant', 'size', 'states', 't', 'variant']
    })
], DyteParticipantSetup);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteParticipantSetup, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-participant-setup',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['config', 'iconPack', 'isPreview', 'nameTagPosition', 'participant', 'size', 'states', 't', 'variant'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteParticipantTile = class DyteParticipantTile {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['tileLoad', 'tileUnload']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteParticipantTile, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteParticipantTile, isStandalone: true, selector: "dyte-participant-tile", inputs: { config: "config", iconPack: "iconPack", isPreview: "isPreview", meeting: "meeting", nameTagPosition: "nameTagPosition", participant: "participant", size: "size", states: "states", t: "t", variant: "variant" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteParticipantTile = __decorate([
    ProxyCmp({
        inputs: ['config', 'iconPack', 'isPreview', 'meeting', 'nameTagPosition', 'participant', 'size', 'states', 't', 'variant']
    })
], DyteParticipantTile);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteParticipantTile, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-participant-tile',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['config', 'iconPack', 'isPreview', 'meeting', 'nameTagPosition', 'participant', 'size', 'states', 't', 'variant'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteParticipants = class DyteParticipants {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteParticipants, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteParticipants, isStandalone: true, selector: "dyte-participants", inputs: { config: "config", defaultParticipantsTabId: "defaultParticipantsTabId", iconPack: "iconPack", meeting: "meeting", size: "size", states: "states", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteParticipants = __decorate([
    ProxyCmp({
        inputs: ['config', 'defaultParticipantsTabId', 'iconPack', 'meeting', 'size', 'states', 't']
    })
], DyteParticipants);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteParticipants, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-participants',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['config', 'defaultParticipantsTabId', 'iconPack', 'meeting', 'size', 'states', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteParticipantsAudio = class DyteParticipantsAudio {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dialogClose']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteParticipantsAudio, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteParticipantsAudio, isStandalone: true, selector: "dyte-participants-audio", inputs: { iconPack: "iconPack", meeting: "meeting", preloadedAudioElem: "preloadedAudioElem", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteParticipantsAudio = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'preloadedAudioElem', 't']
    })
], DyteParticipantsAudio);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteParticipantsAudio, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-participants-audio',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'preloadedAudioElem', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteParticipantsStageList = class DyteParticipantsStageList {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteParticipantsStageList, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteParticipantsStageList, isStandalone: true, selector: "dyte-participants-stage-list", inputs: { config: "config", hideHeader: "hideHeader", iconPack: "iconPack", meeting: "meeting", search: "search", size: "size", states: "states", t: "t", view: "view" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteParticipantsStageList = __decorate([
    ProxyCmp({
        inputs: ['config', 'hideHeader', 'iconPack', 'meeting', 'search', 'size', 'states', 't', 'view']
    })
], DyteParticipantsStageList);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteParticipantsStageList, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-participants-stage-list',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['config', 'hideHeader', 'iconPack', 'meeting', 'search', 'size', 'states', 't', 'view'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteParticipantsStageQueue = class DyteParticipantsStageQueue {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteParticipantsStageQueue, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteParticipantsStageQueue, isStandalone: true, selector: "dyte-participants-stage-queue", inputs: { config: "config", iconPack: "iconPack", meeting: "meeting", size: "size", t: "t", view: "view" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteParticipantsStageQueue = __decorate([
    ProxyCmp({
        inputs: ['config', 'iconPack', 'meeting', 'size', 't', 'view']
    })
], DyteParticipantsStageQueue);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteParticipantsStageQueue, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-participants-stage-queue',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['config', 'iconPack', 'meeting', 'size', 't', 'view'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteParticipantsToggle = class DyteParticipantsToggle {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteParticipantsToggle, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteParticipantsToggle, isStandalone: true, selector: "dyte-participants-toggle", inputs: { iconPack: "iconPack", meeting: "meeting", size: "size", states: "states", t: "t", variant: "variant" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteParticipantsToggle = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'size', 'states', 't', 'variant']
    })
], DyteParticipantsToggle);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteParticipantsToggle, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-participants-toggle',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'size', 'states', 't', 'variant'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteParticipantsViewerList = class DyteParticipantsViewerList {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteParticipantsViewerList, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteParticipantsViewerList, isStandalone: true, selector: "dyte-participants-viewer-list", inputs: { config: "config", hideHeader: "hideHeader", iconPack: "iconPack", meeting: "meeting", search: "search", size: "size", t: "t", view: "view" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteParticipantsViewerList = __decorate([
    ProxyCmp({
        inputs: ['config', 'hideHeader', 'iconPack', 'meeting', 'search', 'size', 't', 'view']
    })
], DyteParticipantsViewerList);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteParticipantsViewerList, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-participants-viewer-list',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['config', 'hideHeader', 'iconPack', 'meeting', 'search', 'size', 't', 'view'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteParticipantsWaitingList = class DyteParticipantsWaitingList {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteParticipantsWaitingList, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteParticipantsWaitingList, isStandalone: true, selector: "dyte-participants-waiting-list", inputs: { config: "config", iconPack: "iconPack", meeting: "meeting", size: "size", t: "t", view: "view" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteParticipantsWaitingList = __decorate([
    ProxyCmp({
        inputs: ['config', 'iconPack', 'meeting', 'size', 't', 'view']
    })
], DyteParticipantsWaitingList);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteParticipantsWaitingList, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-participants-waiting-list',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['config', 'iconPack', 'meeting', 'size', 't', 'view'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DytePermissionsMessage = class DytePermissionsMessage {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DytePermissionsMessage, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DytePermissionsMessage, isStandalone: true, selector: "dyte-permissions-message", inputs: { iconPack: "iconPack", meeting: "meeting", states: "states", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DytePermissionsMessage = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'states', 't']
    })
], DytePermissionsMessage);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DytePermissionsMessage, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-permissions-message',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'states', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DytePipToggle = class DytePipToggle {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DytePipToggle, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DytePipToggle, isStandalone: true, selector: "dyte-pip-toggle", inputs: { config: "config", iconPack: "iconPack", meeting: "meeting", size: "size", states: "states", t: "t", variant: "variant" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DytePipToggle = __decorate([
    ProxyCmp({
        inputs: ['config', 'iconPack', 'meeting', 'size', 'states', 't', 'variant']
    })
], DytePipToggle);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DytePipToggle, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-pip-toggle',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['config', 'iconPack', 'meeting', 'size', 'states', 't', 'variant'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DytePluginMain = class DytePluginMain {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DytePluginMain, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DytePluginMain, isStandalone: true, selector: "dyte-plugin-main", inputs: { iconPack: "iconPack", meeting: "meeting", plugin: "plugin", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DytePluginMain = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'plugin', 't']
    })
], DytePluginMain);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DytePluginMain, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-plugin-main',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'plugin', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DytePlugins = class DytePlugins {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DytePlugins, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DytePlugins, isStandalone: true, selector: "dyte-plugins", inputs: { config: "config", iconPack: "iconPack", meeting: "meeting", size: "size", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DytePlugins = __decorate([
    ProxyCmp({
        inputs: ['config', 'iconPack', 'meeting', 'size', 't']
    })
], DytePlugins);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DytePlugins, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-plugins',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['config', 'iconPack', 'meeting', 'size', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DytePluginsToggle = class DytePluginsToggle {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DytePluginsToggle, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DytePluginsToggle, isStandalone: true, selector: "dyte-plugins-toggle", inputs: { iconPack: "iconPack", meeting: "meeting", size: "size", states: "states", t: "t", variant: "variant" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DytePluginsToggle = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'size', 'states', 't', 'variant']
    })
], DytePluginsToggle);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DytePluginsToggle, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-plugins-toggle',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'size', 'states', 't', 'variant'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DytePoll = class DytePoll {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteVotePoll']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DytePoll, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DytePoll, isStandalone: true, selector: "dyte-poll", inputs: { iconPack: "iconPack", permissions: "permissions", poll: "poll", self: "self", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DytePoll = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'permissions', 'poll', 'self', 't']
    })
], DytePoll);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DytePoll, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-poll',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'permissions', 'poll', 'self', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DytePollForm = class DytePollForm {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteCreatePoll']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DytePollForm, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DytePollForm, isStandalone: true, selector: "dyte-poll-form", inputs: { iconPack: "iconPack", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DytePollForm = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 't']
    })
], DytePollForm);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DytePollForm, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-poll-form',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DytePolls = class DytePolls {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DytePolls, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DytePolls, isStandalone: true, selector: "dyte-polls", inputs: { config: "config", iconPack: "iconPack", meeting: "meeting", size: "size", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DytePolls = __decorate([
    ProxyCmp({
        inputs: ['config', 'iconPack', 'meeting', 'size', 't']
    })
], DytePolls);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DytePolls, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-polls',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['config', 'iconPack', 'meeting', 'size', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DytePollsToggle = class DytePollsToggle {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DytePollsToggle, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DytePollsToggle, isStandalone: true, selector: "dyte-polls-toggle", inputs: { iconPack: "iconPack", meeting: "meeting", size: "size", states: "states", t: "t", variant: "variant" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DytePollsToggle = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'size', 'states', 't', 'variant']
    })
], DytePollsToggle);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DytePollsToggle, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-polls-toggle',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'size', 'states', 't', 'variant'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteRecordingIndicator = class DyteRecordingIndicator {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteRecordingIndicator, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteRecordingIndicator, isStandalone: true, selector: "dyte-recording-indicator", inputs: { iconPack: "iconPack", meeting: "meeting", size: "size", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteRecordingIndicator = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'size', 't']
    })
], DyteRecordingIndicator);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteRecordingIndicator, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-recording-indicator',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'size', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteRecordingToggle = class DyteRecordingToggle {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteAPIError']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteRecordingToggle, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteRecordingToggle, isStandalone: true, selector: "dyte-recording-toggle", inputs: { disabled: "disabled", iconPack: "iconPack", meeting: "meeting", size: "size", t: "t", variant: "variant" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteRecordingToggle = __decorate([
    ProxyCmp({
        inputs: ['disabled', 'iconPack', 'meeting', 'size', 't', 'variant']
    })
], DyteRecordingToggle);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteRecordingToggle, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-recording-toggle',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['disabled', 'iconPack', 'meeting', 'size', 't', 'variant'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteScreenShareToggle = class DyteScreenShareToggle {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate', 'dyteAPIError']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteScreenShareToggle, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteScreenShareToggle, isStandalone: true, selector: "dyte-screen-share-toggle", inputs: { iconPack: "iconPack", meeting: "meeting", size: "size", states: "states", t: "t", variant: "variant" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteScreenShareToggle = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'size', 'states', 't', 'variant']
    })
], DyteScreenShareToggle);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteScreenShareToggle, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-screen-share-toggle',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'size', 'states', 't', 'variant'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteScreenshareView = class DyteScreenshareView {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate', 'screensharePlay']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteScreenshareView, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteScreenshareView, isStandalone: true, selector: "dyte-screenshare-view", inputs: { hideFullScreenButton: "hideFullScreenButton", iconPack: "iconPack", meeting: "meeting", nameTagPosition: "nameTagPosition", participant: "participant", size: "size", t: "t", variant: "variant" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteScreenshareView = __decorate([
    ProxyCmp({
        inputs: ['hideFullScreenButton', 'iconPack', 'meeting', 'nameTagPosition', 'participant', 'size', 't', 'variant']
    })
], DyteScreenshareView);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteScreenshareView, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-screenshare-view',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['hideFullScreenButton', 'iconPack', 'meeting', 'nameTagPosition', 'participant', 'size', 't', 'variant'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteSettings = class DyteSettings {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteSettings, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteSettings, isStandalone: true, selector: "dyte-settings", inputs: { iconPack: "iconPack", meeting: "meeting", size: "size", states: "states", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteSettings = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'size', 'states', 't']
    })
], DyteSettings);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteSettings, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-settings',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'size', 'states', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteSettingsAudio = class DyteSettingsAudio {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteSettingsAudio, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteSettingsAudio, isStandalone: true, selector: "dyte-settings-audio", inputs: { iconPack: "iconPack", meeting: "meeting", size: "size", states: "states", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteSettingsAudio = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'size', 'states', 't']
    })
], DyteSettingsAudio);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteSettingsAudio, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-settings-audio',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'size', 'states', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteSettingsToggle = class DyteSettingsToggle {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteSettingsToggle, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteSettingsToggle, isStandalone: true, selector: "dyte-settings-toggle", inputs: { iconPack: "iconPack", size: "size", states: "states", t: "t", variant: "variant" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteSettingsToggle = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'size', 'states', 't', 'variant']
    })
], DyteSettingsToggle);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteSettingsToggle, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-settings-toggle',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'size', 'states', 't', 'variant'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteSettingsVideo = class DyteSettingsVideo {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteSettingsVideo, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteSettingsVideo, isStandalone: true, selector: "dyte-settings-video", inputs: { iconPack: "iconPack", meeting: "meeting", size: "size", states: "states", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteSettingsVideo = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'size', 'states', 't']
    })
], DyteSettingsVideo);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteSettingsVideo, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-settings-video',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'size', 'states', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteSetupScreen = class DyteSetupScreen {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteSetupScreen, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteSetupScreen, isStandalone: true, selector: "dyte-setup-screen", inputs: { config: "config", iconPack: "iconPack", meeting: "meeting", size: "size", states: "states", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteSetupScreen = __decorate([
    ProxyCmp({
        inputs: ['config', 'iconPack', 'meeting', 'size', 'states', 't']
    })
], DyteSetupScreen);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteSetupScreen, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-setup-screen',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['config', 'iconPack', 'meeting', 'size', 'states', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteSidebar = class DyteSidebar {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteSidebar, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteSidebar, isStandalone: true, selector: "dyte-sidebar", inputs: { config: "config", defaultSection: "defaultSection", enabledSections: "enabledSections", iconPack: "iconPack", meeting: "meeting", size: "size", states: "states", t: "t", view: "view" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteSidebar = __decorate([
    ProxyCmp({
        inputs: ['config', 'defaultSection', 'enabledSections', 'iconPack', 'meeting', 'size', 'states', 't', 'view']
    })
], DyteSidebar);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteSidebar, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-sidebar',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['config', 'defaultSection', 'enabledSections', 'iconPack', 'meeting', 'size', 'states', 't', 'view'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteSidebarUi = class DyteSidebarUi {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['tabChange', 'sidebarClose']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteSidebarUi, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteSidebarUi, isStandalone: true, selector: "dyte-sidebar-ui", inputs: { currentTab: "currentTab", hideCloseAction: "hideCloseAction", hideHeader: "hideHeader", iconPack: "iconPack", t: "t", tabs: "tabs", view: "view" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteSidebarUi = __decorate([
    ProxyCmp({
        inputs: ['currentTab', 'hideCloseAction', 'hideHeader', 'iconPack', 't', 'tabs', 'view']
    })
], DyteSidebarUi);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteSidebarUi, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-sidebar-ui',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['currentTab', 'hideCloseAction', 'hideHeader', 'iconPack', 't', 'tabs', 'view'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteSimpleGrid = class DyteSimpleGrid {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteSimpleGrid, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteSimpleGrid, isStandalone: true, selector: "dyte-simple-grid", inputs: { aspectRatio: "aspectRatio", config: "config", gap: "gap", iconPack: "iconPack", meeting: "meeting", participants: "participants", size: "size", states: "states", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteSimpleGrid = __decorate([
    ProxyCmp({
        inputs: ['aspectRatio', 'config', 'gap', 'iconPack', 'meeting', 'participants', 'size', 'states', 't']
    })
], DyteSimpleGrid);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteSimpleGrid, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-simple-grid',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['aspectRatio', 'config', 'gap', 'iconPack', 'meeting', 'participants', 'size', 'states', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteSpeakerSelector = class DyteSpeakerSelector {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteSpeakerSelector, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteSpeakerSelector, isStandalone: true, selector: "dyte-speaker-selector", inputs: { iconPack: "iconPack", meeting: "meeting", size: "size", states: "states", t: "t", variant: "variant" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteSpeakerSelector = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'size', 'states', 't', 'variant']
    })
], DyteSpeakerSelector);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteSpeakerSelector, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-speaker-selector',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'size', 'states', 't', 'variant'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteSpinner = class DyteSpinner {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteSpinner, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteSpinner, isStandalone: true, selector: "dyte-spinner", inputs: { iconPack: "iconPack", size: "size" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteSpinner = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'size']
    })
], DyteSpinner);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteSpinner, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-spinner',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'size'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteSpotlightGrid = class DyteSpotlightGrid {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteSpotlightGrid, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteSpotlightGrid, isStandalone: true, selector: "dyte-spotlight-grid", inputs: { aspectRatio: "aspectRatio", config: "config", gap: "gap", gridSize: "gridSize", iconPack: "iconPack", layout: "layout", meeting: "meeting", participants: "participants", pinnedParticipants: "pinnedParticipants", size: "size", states: "states", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteSpotlightGrid = __decorate([
    ProxyCmp({
        inputs: ['aspectRatio', 'config', 'gap', 'gridSize', 'iconPack', 'layout', 'meeting', 'participants', 'pinnedParticipants', 'size', 'states', 't']
    })
], DyteSpotlightGrid);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteSpotlightGrid, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-spotlight-grid',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['aspectRatio', 'config', 'gap', 'gridSize', 'iconPack', 'layout', 'meeting', 'participants', 'pinnedParticipants', 'size', 'states', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteSpotlightIndicator = class DyteSpotlightIndicator {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteSpotlightIndicator, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteSpotlightIndicator, isStandalone: true, selector: "dyte-spotlight-indicator", inputs: { iconPack: "iconPack", meeting: "meeting", size: "size", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteSpotlightIndicator = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'size', 't']
    })
], DyteSpotlightIndicator);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteSpotlightIndicator, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-spotlight-indicator',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'size', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteStage = class DyteStage {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteStage, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteStage, isStandalone: true, selector: "dyte-stage", inputs: { iconPack: "iconPack", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteStage = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 't']
    })
], DyteStage);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteStage, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-stage',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteStageToggle = class DyteStageToggle {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStateUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteStageToggle, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteStageToggle, isStandalone: true, selector: "dyte-stage-toggle", inputs: { iconPack: "iconPack", meeting: "meeting", size: "size", states: "states", t: "t", variant: "variant" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteStageToggle = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 'size', 'states', 't', 'variant']
    })
], DyteStageToggle);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteStageToggle, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-stage-toggle',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 'size', 'states', 't', 'variant'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteSwitch = class DyteSwitch {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteChange']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteSwitch, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteSwitch, isStandalone: true, selector: "dyte-switch", inputs: { checked: "checked", disabled: "disabled", iconPack: "iconPack", readonly: "readonly", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteSwitch = __decorate([
    ProxyCmp({
        inputs: ['checked', 'disabled', 'iconPack', 'readonly', 't']
    })
], DyteSwitch);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteSwitch, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-switch',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['checked', 'disabled', 'iconPack', 'readonly', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteTabBar = class DyteTabBar {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['tabChange']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteTabBar, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteTabBar, isStandalone: true, selector: "dyte-tab-bar", inputs: { activeTab: "activeTab", config: "config", iconPack: "iconPack", layout: "layout", meeting: "meeting", size: "size", states: "states", t: "t", tabs: "tabs" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteTabBar = __decorate([
    ProxyCmp({
        inputs: ['activeTab', 'config', 'iconPack', 'layout', 'meeting', 'size', 'states', 't', 'tabs']
    })
], DyteTabBar);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteTabBar, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-tab-bar',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['activeTab', 'config', 'iconPack', 'layout', 'meeting', 'size', 'states', 't', 'tabs'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteTextComposerView = class DyteTextComposerView {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['textChange']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteTextComposerView, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteTextComposerView, isStandalone: true, selector: "dyte-text-composer-view", inputs: { disabled: "disabled", iconPack: "iconPack", keyDownHandler: "keyDownHandler", maxLength: "maxLength", placeholder: "placeholder", rateLimitBreached: "rateLimitBreached", t: "t", value: "value" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteTextComposerView = __decorate([
    ProxyCmp({
        inputs: ['disabled', 'iconPack', 'keyDownHandler', 'maxLength', 'placeholder', 'rateLimitBreached', 't', 'value'],
        methods: ['setText']
    })
], DyteTextComposerView);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteTextComposerView, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-text-composer-view',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['disabled', 'iconPack', 'keyDownHandler', 'maxLength', 'placeholder', 'rateLimitBreached', 't', 'value'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteTextMessage = class DyteTextMessage {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteTextMessage, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteTextMessage, isStandalone: true, selector: "dyte-text-message", inputs: { iconPack: "iconPack", isContinued: "isContinued", message: "message", now: "now", showBubble: "showBubble", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteTextMessage = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'isContinued', 'message', 'now', 'showBubble', 't']
    })
], DyteTextMessage);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteTextMessage, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-text-message',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'isContinued', 'message', 'now', 'showBubble', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteTextMessageView = class DyteTextMessageView {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteTextMessageView, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteTextMessageView, isStandalone: true, selector: "dyte-text-message-view", inputs: { isMarkdown: "isMarkdown", text: "text" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteTextMessageView = __decorate([
    ProxyCmp({
        inputs: ['isMarkdown', 'text']
    })
], DyteTextMessageView);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteTextMessageView, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-text-message-view',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['isMarkdown', 'text'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteTooltip = class DyteTooltip {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteOpenChange']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteTooltip, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteTooltip, isStandalone: true, selector: "dyte-tooltip", inputs: { delay: "delay", disabled: "disabled", kind: "kind", label: "label", open: "open", placement: "placement", size: "size", variant: "variant" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteTooltip = __decorate([
    ProxyCmp({
        inputs: ['delay', 'disabled', 'kind', 'label', 'open', 'placement', 'size', 'variant']
    })
], DyteTooltip);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteTooltip, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-tooltip',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['delay', 'disabled', 'kind', 'label', 'open', 'placement', 'size', 'variant'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteTranscript = class DyteTranscript {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteTranscriptDismiss']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteTranscript, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteTranscript, isStandalone: true, selector: "dyte-transcript", inputs: { t: "t", transcript: "transcript" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteTranscript = __decorate([
    ProxyCmp({
        inputs: ['t', 'transcript']
    })
], DyteTranscript);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteTranscript, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-transcript',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['t', 'transcript'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteTranscripts = class DyteTranscripts {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteTranscripts, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteTranscripts, isStandalone: true, selector: "dyte-transcripts", inputs: { config: "config", meeting: "meeting", states: "states", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteTranscripts = __decorate([
    ProxyCmp({
        inputs: ['config', 'meeting', 'states', 't']
    })
], DyteTranscripts);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteTranscripts, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-transcripts',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['config', 'meeting', 'states', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteUiProvider = class DyteUiProvider {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['dyteStatesUpdate']);
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteUiProvider, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteUiProvider, isStandalone: true, selector: "dyte-ui-provider", inputs: { config: "config", iconPack: "iconPack", meeting: "meeting", noRenderUntilMeeting: "noRenderUntilMeeting", showSetupScreen: "showSetupScreen", size: "size", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteUiProvider = __decorate([
    ProxyCmp({
        inputs: ['config', 'iconPack', 'meeting', 'noRenderUntilMeeting', 'showSetupScreen', 'size', 't']
    })
], DyteUiProvider);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteUiProvider, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-ui-provider',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['config', 'iconPack', 'meeting', 'noRenderUntilMeeting', 'showSetupScreen', 'size', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteViewerCount = class DyteViewerCount {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteViewerCount, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteViewerCount, isStandalone: true, selector: "dyte-viewer-count", inputs: { iconPack: "iconPack", meeting: "meeting", t: "t", variant: "variant" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteViewerCount = __decorate([
    ProxyCmp({
        inputs: ['iconPack', 'meeting', 't', 'variant']
    })
], DyteViewerCount);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteViewerCount, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-viewer-count',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['iconPack', 'meeting', 't', 'variant'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteVirtualizedParticipantList = class DyteVirtualizedParticipantList {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteVirtualizedParticipantList, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteVirtualizedParticipantList, isStandalone: true, selector: "dyte-virtualized-participant-list", inputs: { bufferedItemsCount: "bufferedItemsCount", emptyListElement: "emptyListElement", itemHeight: "itemHeight", items: "items", renderItem: "renderItem" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteVirtualizedParticipantList = __decorate([
    ProxyCmp({
        inputs: ['bufferedItemsCount', 'emptyListElement', 'itemHeight', 'items', 'renderItem']
    })
], DyteVirtualizedParticipantList);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteVirtualizedParticipantList, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-virtualized-participant-list',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['bufferedItemsCount', 'emptyListElement', 'itemHeight', 'items', 'renderItem'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let DyteWaitingScreen = class DyteWaitingScreen {
    z;
    el;
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteWaitingScreen, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.1", type: DyteWaitingScreen, isStandalone: true, selector: "dyte-waiting-screen", inputs: { config: "config", iconPack: "iconPack", meeting: "meeting", t: "t" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
};
DyteWaitingScreen = __decorate([
    ProxyCmp({
        inputs: ['config', 'iconPack', 'meeting', 't']
    })
], DyteWaitingScreen);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteWaitingScreen, decorators: [{
            type: Component,
            args: [{
                    selector: 'dyte-waiting-screen',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['config', 'iconPack', 'meeting', 't'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });

const DIRECTIVES = [
    DyteAi,
    DyteAiToggle,
    DyteAiTranscriptions,
    DyteAudioGrid,
    DyteAudioTile,
    DyteAudioVisualizer,
    DyteAvatar,
    DyteBreakoutRoomManager,
    DyteBreakoutRoomParticipants,
    DyteBreakoutRoomsManager,
    DyteBreakoutRoomsToggle,
    DyteBroadcastMessageModal,
    DyteButton,
    DyteCameraSelector,
    DyteCameraToggle,
    DyteCaptionToggle,
    DyteChannelCreator,
    DyteChannelDetails,
    DyteChannelHeader,
    DyteChannelSelectorUi,
    DyteChannelSelectorView,
    DyteChat,
    DyteChatComposerUi,
    DyteChatComposerView,
    DyteChatMessage,
    DyteChatMessagesUi,
    DyteChatMessagesUiPaginated,
    DyteChatSearchResults,
    DyteChatSelectorUi,
    DyteChatToggle,
    DyteClock,
    DyteConfirmationModal,
    DyteControlbar,
    DyteControlbarButton,
    DyteCounter,
    DyteDebugger,
    DyteDebuggerAudio,
    DyteDebuggerScreenshare,
    DyteDebuggerSystem,
    DyteDebuggerToggle,
    DyteDebuggerVideo,
    DyteDialog,
    DyteDialogManager,
    DyteDraftAttachmentView,
    DyteEmojiPicker,
    DyteEmojiPickerButton,
    DyteEndedScreen,
    DyteFileDropzone,
    DyteFileMessage,
    DyteFileMessageView,
    DyteFilePickerButton,
    DyteFullscreenToggle,
    DyteGrid,
    DyteGridPagination,
    DyteHeader,
    DyteIcon,
    DyteIdleScreen,
    DyteImageMessage,
    DyteImageMessageView,
    DyteImageViewer,
    DyteInformationTooltip,
    DyteJoinStage,
    DyteLeaveButton,
    DyteLeaveMeeting,
    DyteLivestreamIndicator,
    DyteLivestreamPlayer,
    DyteLivestreamToggle,
    DyteLogo,
    DyteMarkdownView,
    DyteMeeting,
    DyteMeetingTitle,
    DyteMenu,
    DyteMenuItem,
    DyteMenuList,
    DyteMessageListView,
    DyteMessageView,
    DyteMicToggle,
    DyteMicrophoneSelector,
    DyteMixedGrid,
    DyteMoreToggle,
    DyteMuteAllButton,
    DyteMuteAllConfirmation,
    DyteNameTag,
    DyteNetworkIndicator,
    DyteNotification,
    DyteNotifications,
    DyteOverlayModal,
    DytePaginatedList,
    DyteParticipant,
    DyteParticipantCount,
    DyteParticipantSetup,
    DyteParticipantTile,
    DyteParticipants,
    DyteParticipantsAudio,
    DyteParticipantsStageList,
    DyteParticipantsStageQueue,
    DyteParticipantsToggle,
    DyteParticipantsViewerList,
    DyteParticipantsWaitingList,
    DytePermissionsMessage,
    DytePipToggle,
    DytePluginMain,
    DytePlugins,
    DytePluginsToggle,
    DytePoll,
    DytePollForm,
    DytePolls,
    DytePollsToggle,
    DyteRecordingIndicator,
    DyteRecordingToggle,
    DyteScreenShareToggle,
    DyteScreenshareView,
    DyteSettings,
    DyteSettingsAudio,
    DyteSettingsToggle,
    DyteSettingsVideo,
    DyteSetupScreen,
    DyteSidebar,
    DyteSidebarUi,
    DyteSimpleGrid,
    DyteSpeakerSelector,
    DyteSpinner,
    DyteSpotlightGrid,
    DyteSpotlightIndicator,
    DyteStage,
    DyteStageToggle,
    DyteSwitch,
    DyteTabBar,
    DyteTextComposerView,
    DyteTextMessage,
    DyteTextMessageView,
    DyteTooltip,
    DyteTranscript,
    DyteTranscripts,
    DyteUiProvider,
    DyteViewerCount,
    DyteVirtualizedParticipantList,
    DyteWaitingScreen
];

class DyteComponentsModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteComponentsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.2.1", ngImport: i0, type: DyteComponentsModule, imports: [DyteAi, DyteAiToggle, DyteAiTranscriptions, DyteAudioGrid, DyteAudioTile, DyteAudioVisualizer, DyteAvatar, DyteBreakoutRoomManager, DyteBreakoutRoomParticipants, DyteBreakoutRoomsManager, DyteBreakoutRoomsToggle, DyteBroadcastMessageModal, DyteButton, DyteCameraSelector, DyteCameraToggle, DyteCaptionToggle, DyteChannelCreator, DyteChannelDetails, DyteChannelHeader, DyteChannelSelectorUi, DyteChannelSelectorView, DyteChat, DyteChatComposerUi, DyteChatComposerView, DyteChatMessage, DyteChatMessagesUi, DyteChatMessagesUiPaginated, DyteChatSearchResults, DyteChatSelectorUi, DyteChatToggle, DyteClock, DyteConfirmationModal, DyteControlbar, DyteControlbarButton, DyteCounter, DyteDebugger, DyteDebuggerAudio, DyteDebuggerScreenshare, DyteDebuggerSystem, DyteDebuggerToggle, DyteDebuggerVideo, DyteDialog, DyteDialogManager, DyteDraftAttachmentView, DyteEmojiPicker, DyteEmojiPickerButton, DyteEndedScreen, DyteFileDropzone, DyteFileMessage, DyteFileMessageView, DyteFilePickerButton, DyteFullscreenToggle, DyteGrid, DyteGridPagination, DyteHeader, DyteIcon, DyteIdleScreen, DyteImageMessage, DyteImageMessageView, DyteImageViewer, DyteInformationTooltip, DyteJoinStage, DyteLeaveButton, DyteLeaveMeeting, DyteLivestreamIndicator, DyteLivestreamPlayer, DyteLivestreamToggle, DyteLogo, DyteMarkdownView, DyteMeeting, DyteMeetingTitle, DyteMenu, DyteMenuItem, DyteMenuList, DyteMessageListView, DyteMessageView, DyteMicToggle, DyteMicrophoneSelector, DyteMixedGrid, DyteMoreToggle, DyteMuteAllButton, DyteMuteAllConfirmation, DyteNameTag, DyteNetworkIndicator, DyteNotification, DyteNotifications, DyteOverlayModal, DytePaginatedList, DyteParticipant, DyteParticipantCount, DyteParticipantSetup, DyteParticipantTile, DyteParticipants, DyteParticipantsAudio, DyteParticipantsStageList, DyteParticipantsStageQueue, DyteParticipantsToggle, DyteParticipantsViewerList, DyteParticipantsWaitingList, DytePermissionsMessage, DytePipToggle, DytePluginMain, DytePlugins, DytePluginsToggle, DytePoll, DytePollForm, DytePolls, DytePollsToggle, DyteRecordingIndicator, DyteRecordingToggle, DyteScreenShareToggle, DyteScreenshareView, DyteSettings, DyteSettingsAudio, DyteSettingsToggle, DyteSettingsVideo, DyteSetupScreen, DyteSidebar, DyteSidebarUi, DyteSimpleGrid, DyteSpeakerSelector, DyteSpinner, DyteSpotlightGrid, DyteSpotlightIndicator, DyteStage, DyteStageToggle, DyteSwitch, DyteTabBar, DyteTextComposerView, DyteTextMessage, DyteTextMessageView, DyteTooltip, DyteTranscript, DyteTranscripts, DyteUiProvider, DyteViewerCount, DyteVirtualizedParticipantList, DyteWaitingScreen], exports: [DyteAi, DyteAiToggle, DyteAiTranscriptions, DyteAudioGrid, DyteAudioTile, DyteAudioVisualizer, DyteAvatar, DyteBreakoutRoomManager, DyteBreakoutRoomParticipants, DyteBreakoutRoomsManager, DyteBreakoutRoomsToggle, DyteBroadcastMessageModal, DyteButton, DyteCameraSelector, DyteCameraToggle, DyteCaptionToggle, DyteChannelCreator, DyteChannelDetails, DyteChannelHeader, DyteChannelSelectorUi, DyteChannelSelectorView, DyteChat, DyteChatComposerUi, DyteChatComposerView, DyteChatMessage, DyteChatMessagesUi, DyteChatMessagesUiPaginated, DyteChatSearchResults, DyteChatSelectorUi, DyteChatToggle, DyteClock, DyteConfirmationModal, DyteControlbar, DyteControlbarButton, DyteCounter, DyteDebugger, DyteDebuggerAudio, DyteDebuggerScreenshare, DyteDebuggerSystem, DyteDebuggerToggle, DyteDebuggerVideo, DyteDialog, DyteDialogManager, DyteDraftAttachmentView, DyteEmojiPicker, DyteEmojiPickerButton, DyteEndedScreen, DyteFileDropzone, DyteFileMessage, DyteFileMessageView, DyteFilePickerButton, DyteFullscreenToggle, DyteGrid, DyteGridPagination, DyteHeader, DyteIcon, DyteIdleScreen, DyteImageMessage, DyteImageMessageView, DyteImageViewer, DyteInformationTooltip, DyteJoinStage, DyteLeaveButton, DyteLeaveMeeting, DyteLivestreamIndicator, DyteLivestreamPlayer, DyteLivestreamToggle, DyteLogo, DyteMarkdownView, DyteMeeting, DyteMeetingTitle, DyteMenu, DyteMenuItem, DyteMenuList, DyteMessageListView, DyteMessageView, DyteMicToggle, DyteMicrophoneSelector, DyteMixedGrid, DyteMoreToggle, DyteMuteAllButton, DyteMuteAllConfirmation, DyteNameTag, DyteNetworkIndicator, DyteNotification, DyteNotifications, DyteOverlayModal, DytePaginatedList, DyteParticipant, DyteParticipantCount, DyteParticipantSetup, DyteParticipantTile, DyteParticipants, DyteParticipantsAudio, DyteParticipantsStageList, DyteParticipantsStageQueue, DyteParticipantsToggle, DyteParticipantsViewerList, DyteParticipantsWaitingList, DytePermissionsMessage, DytePipToggle, DytePluginMain, DytePlugins, DytePluginsToggle, DytePoll, DytePollForm, DytePolls, DytePollsToggle, DyteRecordingIndicator, DyteRecordingToggle, DyteScreenShareToggle, DyteScreenshareView, DyteSettings, DyteSettingsAudio, DyteSettingsToggle, DyteSettingsVideo, DyteSetupScreen, DyteSidebar, DyteSidebarUi, DyteSimpleGrid, DyteSpeakerSelector, DyteSpinner, DyteSpotlightGrid, DyteSpotlightIndicator, DyteStage, DyteStageToggle, DyteSwitch, DyteTabBar, DyteTextComposerView, DyteTextMessage, DyteTextMessageView, DyteTooltip, DyteTranscript, DyteTranscripts, DyteUiProvider, DyteViewerCount, DyteVirtualizedParticipantList, DyteWaitingScreen] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteComponentsModule, providers: [
            {
                provide: APP_INITIALIZER,
                useFactory: () => defineCustomElements,
                multi: true,
            },
        ] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.1", ngImport: i0, type: DyteComponentsModule, decorators: [{
            type: NgModule,
            args: [{
                    exports: [...DIRECTIVES],
                    imports: [...DIRECTIVES],
                    providers: [
                        {
                            provide: APP_INITIALIZER,
                            useFactory: () => defineCustomElements,
                            multi: true,
                        },
                    ],
                }]
        }] });

/*
 * Public API Surface of components
 */

/**
 * Generated bundle index. Do not edit.
 */

export { DIRECTIVES, DyteAi, DyteAiToggle, DyteAiTranscriptions, DyteAudioGrid, DyteAudioTile, DyteAudioVisualizer, DyteAvatar, DyteBreakoutRoomManager, DyteBreakoutRoomParticipants, DyteBreakoutRoomsManager, DyteBreakoutRoomsToggle, DyteBroadcastMessageModal, DyteButton, DyteCameraSelector, DyteCameraToggle, DyteCaptionToggle, DyteChannelCreator, DyteChannelDetails, DyteChannelHeader, DyteChannelSelectorUi, DyteChannelSelectorView, DyteChat, DyteChatComposerUi, DyteChatComposerView, DyteChatMessage, DyteChatMessagesUi, DyteChatMessagesUiPaginated, DyteChatSearchResults, DyteChatSelectorUi, DyteChatToggle, DyteClock, DyteComponentsModule, DyteConfirmationModal, DyteControlbar, DyteControlbarButton, DyteCounter, DyteDebugger, DyteDebuggerAudio, DyteDebuggerScreenshare, DyteDebuggerSystem, DyteDebuggerToggle, DyteDebuggerVideo, DyteDialog, DyteDialogManager, DyteDraftAttachmentView, DyteEmojiPicker, DyteEmojiPickerButton, DyteEndedScreen, DyteFileDropzone, DyteFileMessage, DyteFileMessageView, DyteFilePickerButton, DyteFullscreenToggle, DyteGrid, DyteGridPagination, DyteHeader, DyteIcon, DyteIdleScreen, DyteImageMessage, DyteImageMessageView, DyteImageViewer, DyteInformationTooltip, DyteJoinStage, DyteLeaveButton, DyteLeaveMeeting, DyteLivestreamIndicator, DyteLivestreamPlayer, DyteLivestreamToggle, DyteLogo, DyteMarkdownView, DyteMeeting, DyteMeetingTitle, DyteMenu, DyteMenuItem, DyteMenuList, DyteMessageListView, DyteMessageView, DyteMicToggle, DyteMicrophoneSelector, DyteMixedGrid, DyteMoreToggle, DyteMuteAllButton, DyteMuteAllConfirmation, DyteNameTag, DyteNetworkIndicator, DyteNotification, DyteNotifications, DyteOverlayModal, DytePaginatedList, DyteParticipant, DyteParticipantCount, DyteParticipantSetup, DyteParticipantTile, DyteParticipants, DyteParticipantsAudio, DyteParticipantsStageList, DyteParticipantsStageQueue, DyteParticipantsToggle, DyteParticipantsViewerList, DyteParticipantsWaitingList, DytePermissionsMessage, DytePipToggle, DytePluginMain, DytePlugins, DytePluginsToggle, DytePoll, DytePollForm, DytePolls, DytePollsToggle, DyteRecordingIndicator, DyteRecordingToggle, DyteScreenShareToggle, DyteScreenshareView, DyteSettings, DyteSettingsAudio, DyteSettingsToggle, DyteSettingsVideo, DyteSetupScreen, DyteSidebar, DyteSidebarUi, DyteSimpleGrid, DyteSpeakerSelector, DyteSpinner, DyteSpotlightGrid, DyteSpotlightIndicator, DyteStage, DyteStageToggle, DyteSwitch, DyteTabBar, DyteTextComposerView, DyteTextMessage, DyteTextMessageView, DyteTooltip, DyteTranscript, DyteTranscripts, DyteUiProvider, DyteViewerCount, DyteVirtualizedParticipantList, DyteWaitingScreen };
//# sourceMappingURL=dytesdk-angular-ui-kit.mjs.map
